Index: modipsl/tags/v2_1_1/doc/NEMO_CeCILL.txt
===================================================================
--- modipsl/tags/v2_1_1/doc/NEMO_CeCILL.txt	(revision 29)
+++ modipsl/tags/v2_1_1/doc/NEMO_CeCILL.txt	(revision 29)
@@ -0,0 +1,34 @@
+The following licence information concerns ONLY the NEMO SYSTEM
+===============================================================
+
+Copyright © Centre National de la Recherche Scientifique CNRS  
+
+This software is a computer program whose purpose is the numerical
+modelling of the ocean dynamics (direct, adjoint and linear-tangent
+components), tracers, biogeochemistry and sea-ice.
+
+This software is governed by the CeCILL  license under French law and
+abiding by the rules of distribution of free software.  You can  use, 
+modify and/ or redistribute the software under the terms of the CeCILL
+license as circulated by CEA, CNRS and INRIA at the following URL
+"http://www.cecill.info". 
+
+As a counterpart to the access to the source code and  rights to copy,
+modify and redistribute granted by the license, users are provided only
+with a limited warranty  and the software's author,  the holder of the
+economic rights,  and the successive licensors  have only  limited
+liability. 
+
+In this respect, the user's attention is drawn to the risks associated
+with loading,  using,  modifying and/or developing or reproducing the
+software by the user in light of its specific status of free software,
+that may mean  that it is complicated to manipulate,  and  that  also
+therefore means  that it is reserved for developers  and  experienced
+professionals having in-depth computer knowledge. Users are therefore
+encouraged to load and test the software's suitability as regards their
+requirements in conditions enabling the security of their systems and/or 
+data to be ensured and,  more generally, to use and operate it in the 
+same conditions as regards security. 
+
+The fact that you are presently reading this means that you have had
+knowledge of the CeCILL license and that you accept its terms.
Index: modipsl/tags/v2_1_1/util/AA_make.gdef
===================================================================
--- modipsl/tags/v2_1_1/util/AA_make.gdef	(revision 29)
+++ modipsl/tags/v2_1_1/util/AA_make.gdef	(revision 29)
@@ -0,0 +1,488 @@
+#-
+#- $Id$
+#-
+#-Q- Darwin   #- Global definitions for Mac OSX, g95
+#-Q- Darwin   M_K = make
+#-Q- Darwin   P_C = cpp
+#-Q- Darwin   P_O = -fpreprocessed -P -C -traditional $(P_P)
+#-Q- Darwin   F_C = g95 -c
+#-Q- Darwin   #-D- MD    F_D = -g -Wall -fbounds-check
+#-Q- Darwin   #-D- MN    F_D =
+#-Q- Darwin   #-P- I4R4  F_P = -i4
+#-Q- Darwin   #-P- I4R8  F_P = -i4 -r8
+#-Q- Darwin   #-P- I8R8  F_P = -i8 -r8
+#-Q- Darwin   w_w = -O5 -funroll-all-loops $(F_D) $(F_P) -I$(MODDIR)
+#-Q- Darwin   F_O = $(w_w) -fmod=$(MODDIR)
+#-Q- Darwin   F_L = g95
+#-Q- Darwin   L_O =
+#-Q- Darwin   A_C = ar -rs
+#-Q- Darwin   A_G = ar -x
+#-Q- Darwin   C_C = cc -c
+#-Q- Darwin   C_O =
+#-Q- Darwin   C_L = cc
+#-Q- Darwin   #-
+#-Q- Darwin   NCDF_INC = /usr/install/include
+#-Q- Darwin   NCDF_LIB = -L/usr/install/lib -lnetcdf
+#-Q- Darwin   #-
+#-Q- aix      #- Global definitions for IBM AIX (MPP)
+#-Q- aix      M_K = gmake
+#-Q- aix      P_C = /usr/lib/cpp
+#-Q- aix      P_O = -P -I/usr/lpp/ppe.poe/include/thread64 -C $(P_P:-WF,-D%=-D%)
+#-Q- aix      F_C = mpxlf90_r -c
+#-Q- aix      #-D- MD    F_D =
+#-Q- aix      #-D- MN    F_D =
+#-Q- aix      #-P- I4R4  F_P = -qrealsize=4
+#-Q- aix      #-P- I4R8  F_P = -qrealsize=8
+#-Q- aix      #-P- I8R8  F_P =
+#-Q- aix      w_w = $(F_P) -O3 -qsuffix=f=f90
+#-Q- aix      F_O = $(w_w) -I$(MODDIR) -qmoddir=$(MODDIR)
+#-Q- aix      F_L = mpxlf90_r
+#-Q- aix      L_O = $(F_P) -q64 -bmaxdata:2000000000 -O3
+#-Q- aix      A_C = ar -rs -X64
+#-Q- aix      A_G = ar -x -X64
+#-Q- aix      C_C = cc -c
+#-Q- aix      C_O = -O
+#-Q- aix      C_L = cc
+#-Q- aix      #-
+#-Q- aix      NCDF_INC = /usr/local/pub/include
+#-Q- aix      NCDF_LIB = -L/usr/local/pub/lib -lnetcdf
+#-Q- aix      #-
+#-Q- ax_mono  #- Global definitions for IBM AIX (monoprocessing)
+#-Q- ax_mono  M_K = gmake
+#-Q- ax_mono  P_C = /usr/ccs/lib/cpp
+#-Q- ax_mono  P_O = $(P_P)
+#-Q- ax_mono  F_C = xlf90_r -c
+#-Q- ax_mono  #-D- MD    F_D =
+#-Q- ax_mono  #-D- MN    F_D =
+#-Q- ax_mono  #-P- I4R4  F_P = -qrealsize=4
+#-Q- ax_mono  #-P- I4R8  F_P = -qrealsize=8
+#-Q- ax_mono  #-P- I8R8  F_P =
+#-Q- ax_mono  w_w = $(F_P) -O3 -qsuffix=f=f90
+#-Q- ax_mono  F_O = $(w_w) -I$(MODDIR) -qmoddir=$(MODDIR)
+#-Q- ax_mono  F_L = xlf90_r
+#-Q- ax_mono  L_O = $(F_P) -q64 -bmaxdata:2000000000 -O3
+#-Q- ax_mono  A_C = ar -rs
+#-Q- ax_mono  A_G = ar -x
+#-Q- ax_mono  C_C = cc -c
+#-Q- ax_mono  C_O =
+#-Q- ax_mono  C_L = cc
+#-Q- ax_mono  #-
+#-Q- ax_mono  NCDF_INC = /usr/local/pub/include
+#-Q- ax_mono  NCDF_LIB = -L/usr/local/pub/lib -lnetcdf
+#-Q- ax_mono  #-
+#-Q- cray     #- Global definitions for CRAY
+#-Q- cray     M_K = make
+#-Q- cray     P_C = cpp
+#-Q- cray     P_O = -P -C $(P_P)
+#-Q- cray     F_C = f90 -c
+#-Q- cray     #-D- MD    F_D =
+#-Q- cray     #-D- MN    F_D =
+#-Q- cray     #-P- I4R4  F_P =
+#-Q- cray     #-P- I4R8  F_P =
+#-Q- cray     #-P- I8R8  F_P =
+#-Q- cray     F_O = $(F_D) $(F_P) -v -p $(MODEL_LIB)
+#-Q- cray     F_L = f90
+#-Q- cray     L_O =
+#-Q- cray     A_C = bld -r
+#-Q- cray     A_G = bld -x
+#-Q- cray     C_C = cc -c
+#-Q- cray     C_O = -Wall
+#-Q- cray     C_L = cc
+#-Q- cray     #-
+#-Q- cray     NCDF_INC = /usr/local/pub/include
+#-Q- cray     NCDF_LIB = -L/usr/local/pub/lib -lnetcdf
+#-Q- cray     #-
+#-Q- eshpux   #- Global definitions for eshpux used as Earth Simulator front-end
+#-Q- eshpux   M_K = gmake
+#-Q- eshpux   P_C = escpp
+#-Q- eshpux   # FTRACE used for profiling
+#-Q- eshpux   FTRACE = -ftrace
+#-Q- eshpux   # FTRACE =
+#-Q- eshpux   P_O = -P -C $(P_P)
+#-Q- eshpux   F_C = esmpif90 -c
+#-Q- eshpux   #-D- MD    F_D =
+#-Q- eshpux   #-D- MN    F_D =
+#-Q- eshpux   #-P- I4R4  F_P = -dW
+#-Q- eshpux   #-P- I4R8  F_P = -dW -Wf\"-A idbl4\"
+#-Q- eshpux   #-P- I8R8  F_P = -ew
+#-Q- eshpux   F_O = $(F_D) $(F_P) $(FTRACE) -I $(MODDIR)
+#-Q- eshpux   F_L = esmpif90
+#-Q- eshpux   L_O = $(F_P) $(FTRACE)
+#-Q- eshpux   A_C = ar -rv
+#-Q- eshpux   A_G = ar -x
+#-Q- eshpux   A_X = esar -rv
+#-Q- eshpux   C_C = esmpicc -c
+#-Q- eshpux   C_O =
+#-Q- eshpux   C_L = esmpicc
+#-Q- eshpux   FC_C = cc -c
+#-Q- eshpux   FC_O =
+#-Q- eshpux   FC_L = cc
+#-Q- eshpux   #-
+#-Q- eshpux   NETCDFROOT = /S/home010/c0010/ES
+#-Q- eshpux   NCDF_INC = $(NETCDFROOT)/include
+#-Q- eshpux   NCDF_LIB = -L$(NETCDFROOT)/lib -lnetcdf
+#-Q- eshpux   #-
+#-Q- fjvpp    #- Global definitions for FUJITSU VPP
+#-Q- fjvpp    M_K = gmake
+#-Q- fjvpp    P_C = cpp
+#-Q- fjvpp    P_O = -P -C $(P_P)
+#-Q- fjvpp    F_C = frt -c
+#-Q- fjvpp    #-D- MD    F_D =
+#-Q- fjvpp    #-D- MN    F_D =
+#-Q- fjvpp    #-P- I4R4  F_P = -AD
+#-Q- fjvpp    #-P- I4R8  F_P = -Ad
+#-Q- fjvpp    #-P- I8R8  F_P = -Ad
+#-Q- fjvpp    w_w = -X9 -Oe -Sw $(F_D) $(F_P) -Am -M$(MODDIR)
+#-Q- fjvpp    F_O = $(w_w) -Of -Wv,-Of,-ilfunc,-preload
+#-Q- fjvpp    F_L = frt
+#-Q- fjvpp    L_O = -Wg,-c -Wl,-J,-t,-dy
+#-Q- fjvpp    A_C = ar -r
+#-Q- fjvpp    A_G = ar -x
+#-Q- fjvpp    C_C = cc -c
+#-Q- fjvpp    C_O =
+#-Q- fjvpp    C_L = cc
+#-Q- fjvpp    #-
+#-Q- fjvpp    NCDF_INC = /usr/local/include/netcdf
+#-Q- fjvpp    NCDF_LIB = /usr/local/lib/netcdf/libnetcdf.a
+#-Q- fjvpp    #-
+#-Q- g95      #- Global definitions for gnu g95 compiler
+#-Q- g95      M_K = gmake
+#-Q- g95      P_C = cpp
+#-Q- g95      P_O = -P -C -traditional $(P_P)
+#-Q- g95      F_C = g95 -c
+#-Q- g95      #-D- MD    F_D =
+#-Q- g95      #-D- MN    F_D =
+#-Q- g95      #-P- I4R4  F_P = -i4
+#-Q- g95      #-P- I4R8  F_P = -i4 -r8
+#-Q- g95      #-P- I8R8  F_P = -i8 -r8
+#-Q- g95      w_w = -O5 -funroll-all-loops $(F_D) $(F_P) -I$(MODDIR)
+#-Q- g95      F_O = $(w_w) -fmod=$(MODDIR) -fno-second-underscore
+#-Q- g95      F_L = g95
+#-Q- g95      L_O =
+#-Q- g95      A_C = ar -r
+#-Q- g95      A_G = ar -x
+#-Q- g95      C_C = cc -c
+#-Q- g95      C_O =
+#-Q- g95      C_L = cc
+#-Q- g95      #-
+#-Q- g95      NCDF_INC = /usr/local/include
+#-Q- g95      NCDF_LIB = -L/usr/local/lib -lnetcdf
+#-Q- g95      #-
+#-Q- linux    #- Global definitions for LINUX
+#-Q- linux    M_K = make
+#-Q- linux    P_C = /lib/cpp
+#-Q- linux    P_O = -P -C -traditional $(P_P)
+#-Q- linux    F_C = pgf90 -c
+#-Q- linux    #-D- MD    F_D =
+#-Q- linux    #-D- MN    F_D =
+#-Q- linux    #-P- I4R4  F_P = -i4
+#-Q- linux    #-P- I4R8  F_P = -i4 -r8
+#-Q- linux    #-P- I8R8  F_P = -i8 -r8
+#-Q- linux    F_O = $(F_D) $(F_P) -Mfree -module $(MODDIR)
+#-Q- linux    F_L = pgf90
+#-Q- linux    L_O = -Wl,-Bstatic -Mbounds
+#-Q- linux    A_C = ar -r
+#-Q- linux    A_G = ar -x
+#-Q- linux    C_C = gcc -c
+#-Q- linux    C_O = -Wall
+#-Q- linux    C_L = gcc
+#-Q- linux    #-
+#-Q- linux    NCDF_INC = /distrib/local/netcdf/pgf/include/
+#-Q- linux    NCDF_LIB = -L/distrib/local/netcdf/pgf/lib/ -lnetcdf
+#-Q- linux    #-
+#-Q- lxiv7    #- Global definitions for Linux Compiler Intel V7
+#-Q- lxiv7    M_K = gmake
+#-Q- lxiv7    P_C = cpp
+#-Q- lxiv7    P_O = -P -C $(P_P)
+#-Q- lxiv7    F_C = ifc -c
+#-Q- lxiv7    #-D- MD    F_D = -g
+#-Q- lxiv7    #-D- MN    F_D =
+#-Q- lxiv7    #-P- I4R4  F_P = -i4
+#-Q- lxiv7    #-P- I4R8  F_P = -i4 -r8
+#-Q- lxiv7    #-P- I8R8  F_P = -i8 -r8
+#-Q- lxiv7    F_O = -O $(F_D) $(F_P) -I$(MODDIR) -module $(MODDIR)
+#-Q- lxiv7    F_L = ifc
+#-Q- lxiv7    L_O = -Vaxlib
+#-Q- lxiv7    A_C = ar -r
+#-Q- lxiv7    A_G = ar -x
+#-Q- lxiv7    C_C = cc -c
+#-Q- lxiv7    C_O =
+#-Q- lxiv7    C_L = cc
+#-Q- lxiv7    #-
+#-Q- lxiv7    NCDF_INC = /usr/local/include
+#-Q- lxiv7    NCDF_LIB = -L/usr/local/lib -lnetcdf
+#-Q- lxiv7    #-
+#-Q- lxiv8    #- Global definitions for Linux Compiler Intel v8
+#-Q- lxiv8    M_K = gmake
+#-Q- lxiv8    P_C = cpp
+#-Q- lxiv8    P_O = -P -C $(P_P)
+#-Q- lxiv8    F_C = ifort -c -cpp
+#-Q- lxiv8    #-D- MD    F_D = -g
+#-Q- lxiv8    #-D- MN    F_D =
+#-Q- lxiv8    #-P- I4R4  F_P = -i4
+#-Q- lxiv8    #-P- I4R8  F_P = -i4 -r8
+#-Q- lxiv8    #-P- I8R8  F_P = -i8 -r8
+#-Q- lxiv8    F_O = -O $(F_D) $(F_P) -I$(MODDIR) -module $(MODDIR)
+#-Q- lxiv8    F_L = ifort
+#-Q- lxiv8    L_O = -Vaxlib
+#-Q- lxiv8    A_C = ar -r
+#-Q- lxiv8    A_G = ar -x
+#-Q- lxiv8    C_C = cc -c
+#-Q- lxiv8    C_O =
+#-Q- lxiv8    C_L = cc
+#-Q- lxiv8    #-
+#-Q- lxiv8    NCDF_INC = /usr/local/include
+#-Q- lxiv8    NCDF_LIB = -L/usr/local/lib -lnetcdf
+#-Q- lxiv8    #-
+#-Q- osf1     #- Global definitions for DEC OSF1
+#-Q- osf1     M_K = gmake
+#-Q- osf1     P_C = cpp
+#-Q- osf1     P_O = -P -C $(P_P)
+#-Q- osf1     F_C = f90 -c
+#-Q- osf1     #-D- MD    F_D = -g
+#-Q- osf1     #-D- MN    F_D =
+#-Q- osf1     #-P- I4R4  F_P =
+#-Q- osf1     #-P- I4R8  F_P = -r8
+#-Q- osf1     #-P- I8R8  F_P = -i8 -r8
+#-Q- osf1     F_O = -O $(F_D) $(F_P) -I$(MODDIR) -module $(MODDIR)
+#-Q- osf1     F_L = f90
+#-Q- osf1     L_O =
+#-Q- osf1     A_C = ar -r
+#-Q- osf1     A_G = ar -x
+#-Q- osf1     C_C = cc -c
+#-Q- osf1     C_O =
+#-Q- osf1     C_L = cc
+#-Q- osf1     #-
+#-Q- osf1     NCDF_INC = /usr/local/include
+#-Q- osf1     NCDF_LIB = -L/usr/local/lib -lnetcdf
+#-Q- osf1     #-
+#-Q- osxxlf   #- Global definitions for Mac OS X and IBM xlf compiler
+#-Q- osxxlf   M_K = make
+#-Q- osxxlf   P_C = /usr/bin/cpp
+#-Q- osxxlf   P_O = -P -C $(P_P:-WF,-D%=-D%)
+#-Q- osxxlf   F_C = xlf90 -c
+#-Q- osxxlf   #-D- MD    F_D = -g -C
+#-Q- osxxlf   #-D- MN    F_D =
+#-Q- osxxlf   #-P- I4R4  F_P = -qintsize=4 -qrealsize=4
+#-Q- osxxlf   #-P- I4R8  F_P = -qintsize=4 -qrealsize=8
+#-Q- osxxlf   #-P- I8R8  F_P = -qintsize=8 -qrealsize=8
+#-Q- osxxlf   w_w = $(F_P) -O2 $(F_D) -qsuffix=f=f90
+#-Q- osxxlf   F_O = $(w_w) -I$(MODDIR) -qmoddir=$(MODDIR)
+#-Q- osxxlf   F_L = xlf90
+#-Q- osxxlf   L_O = $(F_P) -O2
+#-Q- osxxlf   A_C = ar -rs
+#-Q- osxxlf   A_G = ar -x
+#-Q- osxxlf   C_C = cc -c
+#-Q- osxxlf   C_O =
+#-Q- osxxlf   C_L = cc
+#-Q- osxxlf   #-
+#-Q- osxxlf   NCDF_INC = /usr/local/install/netcdf-3.6.0-p1/include
+#-Q- osxxlf   NCDF_LIB = -L/usr/local/install/netcdf-3.6.0-p1/lib -lnetcdf
+#-Q- osxxlf   #-
+#-Q- sgi6     #- Global definitions for IRIX64 (sgi6)
+#-Q- sgi6     M_K = gmake
+#-Q- sgi6     P_C = cpp
+#-Q- sgi6     P_O = -P -C $(P_P)
+#-Q- sgi6     F_C = f90 -c
+#-Q- sgi6     #-D- MD    F_D =
+#-Q- sgi6     #-D- MN    F_D =
+#-Q- sgi6     #-P- I4R4  F_P = -i4 -r4
+#-Q- sgi6     #-P- I4R8  F_P = -i4 -r8
+#-Q- sgi6     #-P- I8R8  F_P = -i8 -r8
+#-Q- sgi6     F_O = $(F_D) $(F_P) -I $(MODDIR)
+#-Q- sgi6     F_L = f90
+#-Q- sgi6     L_O =
+#-Q- sgi6     A_C = ar -r
+#-Q- sgi6     A_G = ar -x
+#-Q- sgi6     C_C = cc -c
+#-Q- sgi6     C_O =
+#-Q- sgi6     C_L = cc
+#-Q- sgi6     #-
+#-Q- sgi6     NCDF_INC = /usr/local/pub/include
+#-Q- sgi6     NCDF_LIB = -L/usr/local/pub/lib64 -lnetcdf
+#-Q- sgi6     #-
+#-Q- solaris  #- Global definitions for SOLARIS
+#-Q- solaris  M_K = make
+#-Q- solaris  P_C = cpp
+#-Q- solaris  P_O = -P -C $(P_P)
+#-Q- solaris  F_C = f90 -c
+#-Q- solaris  #-D- MD    F_D =
+#-Q- solaris  #-D- MN    F_D =
+#-Q- solaris  #-P- I4R4  F_P =
+#-Q- solaris  #-P- I4R8  F_P = -r8const
+#-Q- solaris  #-P- I8R8  F_P = -i8const -r8const
+#-Q- solaris  F_O = $(F_D) $(F_P) -M$(MODDIR) -fast
+#-Q- solaris  F_L = f90
+#-Q- solaris  L_O =
+#-Q- solaris  A_C = ar -r
+#-Q- solaris  A_G = ar -x
+#-Q- solaris  C_C = cc -c
+#-Q- solaris  C_O =
+#-Q- solaris  C_L = cc
+#-Q- solaris  #-
+#-Q- solaris  NCDF_INC = /distrib/local/include
+#-Q- solaris  NCDF_LIB = -L/distrib/local/lib -lnetcdf
+#-Q- solaris  #-
+#-Q- sxdkrz   #- Global definitions for sxdkrz
+#-Q- sxdkrz   #- compilation on DKRZ for NEC SX-6
+#-Q- sxdkrz   LIB_MPI = MPI2
+#-Q- sxdkrz   LIB_MPI_BIS =
+#-Q- sxdkrz   PRISM_ARCH = SX
+#-Q- sxdkrz   PRISM_NAME = ds
+#-Q- sxdkrz   M_K = gmake
+#-Q- sxdkrz   P_C = cpp
+#-Q- sxdkrz   P_O = -P -C $(P_P)
+#-Q- sxdkrz   F_C = sxmpif90 -c
+#-Q- sxdkrz   #-D- MD    F_D =
+#-Q- sxdkrz   #-D- MN    F_D =
+#-Q- sxdkrz   #-P- I4R4  F_P = -dw
+#-Q- sxdkrz   #-P- I4R8  F_P = -dw -Wf\"-A idbl4\"
+#-Q- sxdkrz   #-P- I8R8  F_P = -ew
+#-Q- sxdkrz   F_O = $(F_D) $(F_P) -I $(MODDIR)
+#-Q- sxdkrz   F_L = sxmpif90
+#-Q- sxdkrz   L_O = $(F_P)
+#-Q- sxdkrz   A_C = ar -rv
+#-Q- sxdkrz   A_G = ar -x
+#-Q- sxdkrz   A_X = sxar -rv
+#-Q- sxdkrz   C_C = sxcc -c
+#-Q- sxdkrz   C_O =
+#-Q- sxdkrz   C_L = sxcc
+#-Q- sxdkrz   FC_C = cc -c
+#-Q- sxdkrz   FC_O =
+#-Q- sxdkrz   FC_L = cc
+#-Q- sxdkrz   #-
+#-Q- sxdkrz   NCDF_INC = /pool/SX-6/netcdf/netcdf-3.5.0/include
+#-Q- sxdkrz   NCDF_LIB = -L/pool/SX-6/netcdf/netcdf-3.5.0/lib -lnetcdf_A_idbl4
+#-Q- sxdkrz   #-
+#-Q- sx8brodie   #- Global definitions for sx8brodie
+#-Q- sx8brodie   #- compilation on brodie for NEC SX-8
+#-Q- sx8brodie   LIB_MPI = MPI2
+#-Q- sx8brodie   LIB_MPI_BIS =
+#-Q- sx8brodie   PRISM_ARCH = SX
+#-Q- sx8brodie   PRISM_NAME = brodie
+#-Q- sx8brodie   M_K = sxgmake
+#-Q- sx8brodie   P_C = sxcpp
+#-Q- sx8brodie   P_O = -P -C $(P_P)
+#-Q- sx8brodie   F_C = sxmpif90 -c
+#-Q- sx8brodie   #-D- MD    F_D =
+#-Q- sx8brodie   #-D- MN    F_D =
+#-Q- sx8brodie   #-P- I4R4  F_P = -dW
+#-Q- sx8brodie   #-P- I4R8  F_P = -dW -Wf\"-A idbl4\"
+#-Q- sx8brodie   #-P- I8R8  F_P = -ew
+#-Q- sx8brodie   F_O = $(F_D) $(F_P) -I $(MODDIR)
+#-Q- sx8brodie   F_L = sxmpif90
+#-Q- sx8brodie   L_O = $(F_P)
+#-Q- sx8brodie   A_C = sxar -rv
+#-Q- sx8brodie   A_G = sxar -x
+#-Q- sx8brodie   A_X = sxar -rv
+#-Q- sx8brodie   C_C = sxcc -c
+#-Q- sx8brodie   C_O =
+#-Q- sx8brodie   C_L = sxcc
+#-Q- sx8brodie   FC_C = gcc -c
+#-Q- sx8brodie   FC_O =
+#-Q- sx8brodie   FC_L = gcc
+#-Q- sx8brodie   #-
+#-Q- sx8brodie   NCDF_INC = /SXlocal/pub/netCDF/netCDF-3.6.1/include
+#-Q- sx8brodie   NCDF_LIB = -L/SXlocal/pub/netCDF/netCDF-3.6.1/lib -lnetcdf
+#-Q- sx8brodie   #-
+#-Q- sx8mercure   #- Global definitions for sx8mercure
+#-Q- sx8mercure   #- compilation on mercure for NEC SX-8
+#-Q- sx8mercure   LIB_MPI = MPI2
+#-Q- sx8mercure   LIB_MPI_BIS =
+#-Q- sx8mercure   PRISM_ARCH = SX
+#-Q- sx8mercure   PRISM_NAME = mercure
+#-Q- sx8mercure   M_K = sxgmake
+#-Q- sx8mercure   P_C = cpp
+#-Q- sx8mercure   P_O = -P -C $(P_P)
+#-Q- sx8mercure   F_C = sxmpif90 -c
+#-Q- sx8mercure   #-D- MD    F_D =
+#-Q- sx8mercure   #-D- MN    F_D =
+#-Q- sx8mercure   #-P- I4R4  F_P = -dW
+#-Q- sx8mercure   #-P- I4R8  F_P = -dW -Wf\"-A idbl4\"
+#-Q- sx8mercure   #-P- I8R8  F_P = -ew
+#-Q- sx8mercure   F_O = $(F_D) $(F_P) -size_t64 -I $(MODDIR)
+#-Q- sx8mercure   F_L = sxmpif90
+#-Q- sx8mercure   L_O = -size_t64 $(F_P)
+#-Q- sx8mercure   A_C = sxar -rv
+#-Q- sx8mercure   A_G = sxar -x
+#-Q- sx8mercure   A_X = sxar -rv
+#-Q- sx8mercure   C_C = sxcc -size_t64 -c
+#-Q- sx8mercure   C_O =
+#-Q- sx8mercure   C_L = sxcc -size_t64
+#-Q- sx8mercure   FC_C = gcc -c
+#-Q- sx8mercure   FC_O =
+#-Q- sx8mercure   FC_L = gcc
+#-Q- sx8mercure   #-
+#-Q- sx8mercure   NCDF_INC = /usr/local/SX8/soft/netcdf/include
+#-Q- sx8mercure   NCDF_LIB = -L/usr/local/SX8/soft/netcdf/lib -lnetcdf
+#-Q- sx8mercure   #-
+#-Q- t3e      #- Global definitions for T3E
+#-Q- t3e      M_K = gmake
+#-Q- t3e      P_C = cpp
+#-Q- t3e      P_O = -P -C $(P_P)
+#-Q- t3e      F_C = f90 -c
+#-Q- t3e      #-D- MD    F_D =
+#-Q- t3e      #-D- MN    F_D =
+#-Q- t3e      #-P- I4R4  F_P =
+#-Q- t3e      #-P- I4R8  F_P =
+#-Q- t3e      #-P- I8R8  F_P =
+#-Q- t3e      w_w = $(F_D) $(F_P) -rm -O2 -Ounroll2 -Osplit2 -dp
+#-Q- t3e      F_O = $(w_w) -p $(MODEL_LIB)
+#-Q- t3e      F_L = f90
+#-Q- t3e      L_O = -X 4
+#-Q- t3e      A_C = ar -r
+#-Q- t3e      A_G = ar -x
+#-Q- t3e      C_C = cc -c
+#-Q- t3e      C_O = -Wall
+#-Q- t3e      C_L = cc
+#-Q- t3e      #-
+#-Q- t3e      NCDF_INC = /usr/local/pub/include
+#-Q- t3e      NCDF_LIB = -L/usr/local/pub/lib -lnetcdf
+#-Q- t3e      #-
+#-Q- tx7      #- Global definitions for Linux Compiler Intel efc
+#-Q- tx7      M_K = gmake
+#-Q- tx7      P_C = cpp
+#-Q- tx7      P_O = -P -C $(P_P)
+#-Q- tx7      F_C = efc -c
+#-Q- tx7      #-D- MD    F_D = -g
+#-Q- tx7      #-D- MN    F_D =
+#-Q- tx7      #-P- I4R4  F_P = -i4
+#-Q- tx7      #-P- I4R8  F_P = -i4 -r8
+#-Q- tx7      #-P- I8R8  F_P = -i8 -r8
+#-Q- tx7      F_O = -O $(F_D) $(F_P) -I$(MODDIR) -module $(MODDIR)
+#-Q- tx7      F_L = efc
+#-Q- tx7      L_O = -Vaxlib
+#-Q- tx7      A_C = ar -r
+#-Q- tx7      A_G = ar -x
+#-Q- tx7      C_C = cc -c
+#-Q- tx7      C_O =
+#-Q- tx7      C_L = cc
+#-Q- tx7      #-
+#-Q- tx7      NCDF_INC = /usr/local/include
+#-Q- tx7      NCDF_LIB = -L/usr/local/lib -lnetcdf
+#-Q- tx7      #-
+#-Q- unix     #- Global definitions for UNIX
+#-Q- unix     M_K = make
+#-Q- unix     P_C = cpp
+#-Q- unix     P_O = -P -C $(P_P)
+#-Q- unix     F_C = f90 -c
+#-Q- unix     #-D- MD    F_D =
+#-Q- unix     #-D- MN    F_D =
+#-Q- unix     #-P- I4R4  F_P =
+#-Q- unix     #-P- I4R8  F_P =
+#-Q- unix     #-P- I8R8  F_P =
+#-Q- unix     F_O = $(F_D) $(F_P) -M$(MODDIR) -fast
+#-Q- unix     F_L = f90
+#-Q- unix     L_O =
+#-Q- unix     A_C = ar -r
+#-Q- unix     A_G = ar -x
+#-Q- unix     C_C = cc -c
+#-Q- unix     C_O =
+#-Q- unix     C_L = cc
+#-Q- unix     #-
+#-Q- unix     NCDF_INC = /distrib/local/include
+#-Q- unix     NCDF_LIB = -L/distrib/local/lib -lnetcdf
+#-Q- unix     #-
+RM      = rm -f
+STRIP   = strip
+SIZE    = size
Index: modipsl/tags/v2_1_1/util/clr_make
===================================================================
--- modipsl/tags/v2_1_1/util/clr_make	(revision 29)
+++ modipsl/tags/v2_1_1/util/clr_make	(revision 29)
@@ -0,0 +1,24 @@
+#!/bin/ksh
+# $Id$
+#---------------------------------------------------------------------
+#- Suppression des Makefile propres a un environnement
+#---------------------------------------------------------------------
+d_n=$(dirname $0)
+#-
+l_rep=$(find ${d_n}/.. -name AA_make -print)
+#-
+echo "Suppression des Makefile";
+for i in $l_rep
+do
+  j=${i%/AA_make}
+  echo "Suppression dans $j ...";
+  rm -f $j/Makefile
+done
+l_prism=${d_n}'/../prism' 
+if [ -d ${l_prism} ]; then
+  rm -f ${d_n}/../prism/src/mod/oasis3/COMP_oasis3*
+  rm -f ${d_n}/../prism/util/COMP_libs*
+  echo "Suppression de COMP_oasis3 et COMP_libs" 
+fi
+#-
+exit 0;
Index: modipsl/tags/v2_1_1/util/ins_m_prec
===================================================================
--- modipsl/tags/v2_1_1/util/ins_m_prec	(revision 29)
+++ modipsl/tags/v2_1_1/util/ins_m_prec	(revision 29)
@@ -0,0 +1,95 @@
+#!/bin/ksh
+# $Id$
+#---------------------------------------------------------------------
+#- ins_m_prec - Installation of the precision module
+#---------------------------------------------------------------------
+function ins_m_prec_Usage
+{
+echo "
+ins_m_prec install the precision module in IOIPSL/src
+
+Usage :
+  ${b_n} [-h] | [-v] [-i i_prec] [-r r_prec]
+
+Options :
+  -h        : help
+  -v        : verbose mode
+  -i i_prec : integer precision 4/8
+  -r r_prec : real    precision 4/8
+
+Defaults :
+  -i 4 -r 8
+
+Example for default precision :
+  ins_m_prec
+
+Example for INTEGER 4 and REAL 4 precision :
+  ins_m_prec -i 4 -r 4
+"
+}
+#-  dirname and  basename
+d_n=${0%/*}; b_n=${0##*/};
+#- Retrieving and validation of the options
+x_v='silencious'; x_i=""; x_r="";
+while getopts :hvi:r: V
+  do
+    case ${V} in
+      (h)  ins_m_prec_Usage; exit 0;;
+      (v)  x_v='verbose';;
+      (i)  x_i=${OPTARG};;
+      (r)  x_r=${OPTARG};;
+      (:)  echo ${b_n}" : -"${OPTARG}" option : missing value" 1>&2;
+           exit 2;;
+      (\?) echo ${b_n}" : -"${OPTARG}" option : not supported" 1>&2;
+           exit 2;;
+    esac
+  done
+shift $(($OPTIND-1));
+#-
+# INTEGER and REAL precision
+#-
+case ${x_i} in
+  ( 4 | 8 ) ;;
+  ("") x_i='4';;
+  (*)
+    echo 'Invalid INTEGER precision requested' 1>&2;
+    echo ${x_i}' (must be 4 or 8)' 1>&2;
+    exit 1;;
+esac
+case ${x_r} in
+  ( 4 | 8 ) ;;
+  ("") x_r='8';;
+  (*)
+    echo 'Invalid REAL precision requested' 1>&2;
+    echo ${x_r}' (must be 4 or 8)' 1>&2;
+    exit 1;;
+esac
+#-
+[[ ${x_v} = 'verbose' ]] && \
+  { echo "\nInstallation of the precision module";
+    echo '--- Integer precision  : '${x_i};
+    echo '--- Real    precision  : '${x_r}; }
+#-
+dp_d=${d_n}'/../modeles/IOIPSL/src';
+#-
+dp_b="${dp_d}"'/def.prec'
+[[ ! -f "${dp_b}" ]] && { echo "${dp_b} unreachable ..."; exit 3; }
+sed -e "s/i_std=i_?/i_std=i_${x_i}/" \
+    -e "s/r_std=r_?/r_std=r_${x_r}/" ${dp_b} > wmpf.$$;
+#-
+# Create the module "defprec.f90" or update it
+# if the default precision has been modified
+#-
+dp_p="${dp_d}"'/defprec.f90';
+diff -q wmpf.$$ ${dp_p} > /dev/null 2>&1; r_c=${?};
+[[ ${r_c} != 0 ]] && cp -p wmpf.$$ ${dp_p};
+[[ ${x_v} = 'verbose' ]] && \
+ { echo " ";
+  { [[ ${r_c} = 0 ]] && echo ${dp_p} 'already up to date'; } || \
+  { [[ ${r_c} = 1 ]] && echo 'Update '${dp_p}; } || \
+  { [[ ${r_c} = 2 ]] && echo 'Create '${dp_p}; }
+  echo " "; }
+#-
+unset dp_d dp_b dp_p x_v x_i x_r; rm -f wmpf.$$;
+#-
+exit 0;
Index: modipsl/tags/v2_1_1/util/ins_make
===================================================================
--- modipsl/tags/v2_1_1/util/ins_make	(revision 29)
+++ modipsl/tags/v2_1_1/util/ins_make	(revision 29)
@@ -0,0 +1,153 @@
+#!/bin/ksh
+# $Id$
+#---------------------------------------------------------------------
+#- Installation of Makefiles according to an environment
+#---------------------------------------------------------------------
+function ins_make_Usage
+{
+echo "
+ins_make install the Makefile in the directories
+
+Usage :
+  ${b_n} [-h] [-v] [-d] [-p r] [-t h] [-m m]
+
+Options :
+  -h   : help
+  -v   : verbose mode
+  -d   : debug mode
+  -p p : int and real precision I4R4/I4R8/I8R8/4/8
+  -t h : target host_name
+  -m m : mpi context choosen for the coupling MPI1/MPI2
+
+Defaults :
+   -t local_host -p I4R8
+
+Example for remote host compilation :
+  ins_make -t sx8brodie
+"
+}
+#-  dirname and  basename
+d_n=${0%/*}; b_n=${0##*/};
+#- Retrieving and validation of the options
+x_v='silencious'; x_d='normal'; x_p="??"; x_t="??"; x_m='??';
+while getopts :hvdp:m:t: V
+  do
+   case ${V} in
+    (h)  ins_make_Usage; exit 0;;
+    (v)  x_v='verbose';;
+    (d)  x_d='debug';;
+    (p)  x_p=${OPTARG};;
+    (t)  x_t=${OPTARG};;
+    (m)  x_m=${OPTARG};;
+    (:)  echo ${b_n}" : -"${OPTARG}" option : missing value" 1>&2;
+         exit 2;;
+    (\?) echo ${b_n}" : -"${OPTARG}" option : not supported" 1>&2;
+         exit 2;;
+   esac
+  done
+shift $(($OPTIND-1));
+#-
+# Treatment of the options
+#-
+# Default INTEGER and REAL precision
+case ${x_p} in
+ ( I4R4 | 4 )  x_p='I4R4'; w_ip='4'; w_rp='4';;
+ ( I4R8 | ?? ) x_p='I4R8'; w_ip='4'; w_rp='8';;
+ ( I8R8 | 8 )  x_p='I8R8'; w_ip='8'; w_rp='8';;
+ (*)
+   echo 'Invalid precision ' 1>&2;
+   echo ${x_p}' (must be I4R4, I4R8, I8R8, 4 or 8)' 1>&2;
+   exit 1;;
+esac
+#-
+# Target_Host Name
+[[ ${x_t} = '??' ]] && \
+ { x_t=$(${d_n}/w_i_h);
+   { [[ ${?} != 0 ]] && \
+      { echo "Bad installation : w_i_h/uname unreachable" 1>&2;
+        exit 1; }; } || \
+     [[ ${x_t} = "Unknown" ]] && \
+      { echo "Local_Host not supported" 1>&2; exit 1; }; }
+#-
+MKTG=${d_n}'/AA_make.gdef'
+[[ ! -f "${MKTG}" ]] && { echo "${MKTG} unreachable ..."; exit 3; }
+#-
+W_XX=$(sed -n -e "s/^#-Q-  *\([^ ]*\).*$/\1/p" ${MKTG} | \
+       sort -u | sed -e "/${x_t}/!d");
+[[ '\?'"${W_XX}" != '\?'${x_t} ]] && \
+  { echo "Target_Host  "${x_t}"  not supported" 1>&2; exit 1; }
+#-
+case ${x_m} in
+ ( mpi1 | mpi2 | MPI1 | MPI2 | ?? );;
+ (*) echo "MPI context "${x_m}" not supported" 1>&2; exit 1;;
+esac
+#-
+[[ ${x_v} = 'verbose' ]] && \
+ { echo "";
+   echo '--- Mode         : '${x_v};
+   echo '--- Compilation  : '${x_d};
+   echo '--- Precision    : '${x_p};
+   echo '--- Target       : '${x_t};
+   echo '--- MPI context  : '${x_m}; }
+#-
+echo ""; echo "Installation of makefiles for ${x_t}"; echo "";
+#-
+l_rep=$(find ${d_n}/.. -name AA_make -print)
+for i in ${l_rep}
+do
+  j=${i%/AA_make};
+  echo "Installation in ${j}";
+  MKTL="${j}"'/AA_make.ldef';
+  [[ ! -f "${MKTL}" ]] && { echo "${MKTL} unreachable ..."; exit 3; }
+  MKTR="${j}"'/AA_make';
+  cat ${MKTL} ${MKTG} ${MKTR} > mk1.$$;
+  W_PR='#-Q- '; W_XX=${W_PR}${x_t};
+  sed -e "/^${W_XX} */ s///" -e "/^${W_PR}/d" mk1.$$ > mk2.$$;
+#-
+# Default INTEGER and REAL precision
+  W_PR='#-P- '; W_XX=${W_PR}${x_p};
+  sed -e "/^${W_XX} */ s///" -e "/^${W_PR}/d" mk2.$$ > mk1.$$;
+#-
+# Handle the precision module "defprec.f90" in "IOIPSL/src"
+  [[ '!!'${j##*/modeles} = '!!/IOIPSL/src' ]] && \
+   { [[ ${x_v} = 'verbose' ]] && W_XX='-v' || W_XX="";
+     ${d_n}/ins_m_prec ${W_XX} -i ${w_ip} -r ${w_rp}; r_c=${?};
+     unset w_ip w_rp;
+     [[ ${r_c} != 0 ]] && exit ${r_c}; }
+#-
+# Debug
+  W_PR='#-D- ';
+  [[ ${x_d} = 'debug' ]] && W_XX=${W_PR}'MD' || W_XX=${W_PR}'MN';
+  sed -e "/^${W_XX} */ s///" -e "/^${W_PR}/d" mk1.$$ > mk2.$$;
+#-
+# Retrieve the path of the directory
+  cd ${j} > /dev/null; mk_dir=$(pwd); cd - > /dev/null;
+  W_XX='MAKE_DIR ='
+# Update the value
+  sed -e "s!^${W_XX}.*!${W_XX} ${mk_dir}!" mk2.$$ > mk1.$$
+  unset mk_dir;
+#-
+# Choice of mpi library for the coupling
+  W_XX='LIB_MPI ='; W_XX_BIS='LIB_MPI_BIS =';
+  case ${x_m} in
+   ( mpi1 | MPI1 )
+    lib_mpi='MPI1'; lib_mpi_bis='MPI1';
+    sed -e "s!^${W_XX}.*!${W_XX} ${lib_mpi}!" \
+        -e "s!^${W_XX_BIS}.*!${W_XX_BIS} ${lib_mpi_bis}!" \
+      mk1.$$ > ${j}/Makefile;;
+   ( mpi2 | MPI2 )
+    lib_mpi='MPI2'; lib_mpi_bis='';
+    sed -e "s!^${W_XX}.*!${W_XX} ${lib_mpi}!" \
+        -e "s!^${W_XX_BIS}.*!${W_XX_BIS} ${lib_mpi_bis}!" \
+      mk1.$$ > ${j}/Makefile;;
+   (??) 
+    cp mk1.$$ ${j}/Makefile;;
+   (*) ;;
+  esac
+  unset lib_mpi lib_mpi_bis;
+done
+#-
+echo "";
+unset W_XX W_XX_BIS; rm -f mk1.$$ mk2.$$;
+#-
+exit 0;
Index: modipsl/tags/v2_1_1/util/ins_post
===================================================================
--- modipsl/tags/v2_1_1/util/ins_post	(revision 29)
+++ modipsl/tags/v2_1_1/util/ins_post	(revision 29)
@@ -0,0 +1,280 @@
+#!/bin/ksh
+# $Id$
+#-----------------------------------------------
+#- Installation de scripts de post_traitement
+#-----------------------------------------------
+b_n=$(basename $0)
+d_n=$(dirname $0)
+
+#- Saisie et validation des options
+x_v='silencious';
+x_d='normal';
+x_t="";
+x_n="";
+
+while getopts :hvd:t: ops
+  do
+    case $ops in
+      (h)  echo "Usage    : "${b_n} \
+                " [-h] [-v] [-d] [-t h]  [-n f]";
+           echo " -h       : help";
+           echo " -v       : verbose mode";
+           echo " -d       : debug mode";
+           echo " -t h     : target host_name";
+           echo "Defaults  : -t local_host";
+           exit 0;;
+      (v)  x_v='verbose';;
+      (d)  x_d='debug';;
+      (t)  x_t=${OPTARG};;
+      (:)  echo ${b_n}" : -"${OPTARG}" option : missing value" 1>&2;
+           exit 2;;
+      (\?) echo ${b_n}" : -"${OPTARG}" option : not supported" 1>&2;
+           exit 2;;
+    esac
+  done
+shift $(($OPTIND-1));
+
+if   [ "$x_t" = "sx8brodie" ]; then
+   b_n_post=$(basename $HOME)
+   d_n_post=$(dirname $HOME | sed 's/home/u/')
+elif [ "$x_t" = "fjvpp" ]; then
+   b_n_post=$(basename $DMFDIR)
+   d_n_post=\/$(dirname $DMFDIR | awk -F\/ '{print $4}')
+elif [ "$x_t" = "sx8mercure" ]; then
+   b_n_post=$(basename $DMFDIR)
+   d_n_post=$(dirname $DMFDIR)
+else
+echo "        !!! WARNING !!!"
+echo " The path for the output files on the storage server,"
+echo " needed for post-traitement files, is not automaticaly set."
+echo " Please specify manually this path by replacing the AAAAAAA"
+echo " string in the Output Job with the desired path."
+echo "        !!! WARNING !!!"
+fi
+#- Traitement des options
+#- REAL precision
+# Target_Host Name
+if [ '\?'${x_t} = '\?' ]; then
+  x_t=`${d_n}/w_i_h`;
+  if [ $? -ne 0 ]; then
+    echo "Bad installation : w_i_h/uname unreachable" 1>&2;
+    exit 1;
+  elif [ "$x_t" = "Unknown" ]; then
+    echo "Local_Host not supported" 1>&2;
+    exit 1;
+  fi;
+fi;
+
+case ${x_t} in
+  ( aix | cray | fjvpp | linux | lxiv7 | lxiv8 | osf1 | \
+    solaris | t3e | sx8brodie | sx8mercure | unix ) ;;
+  (*)
+    echo "Target_Host "${x_t}" not supported" 1>&2;
+    exit 1;;
+esac
+#-
+x_m=$( (cd $d_n ; pwd) | sed -e "s,/util,," )
+
+if [ ${x_v} = 'verbose' ]; then
+  echo '--- Mode              : '${x_v};
+  echo '--- Compilation       : '${x_d};
+  echo '--- Target            : '${x_t};
+  echo '--- Name              : '${x_n};
+  echo '--- MODIPSL directory : '${x_m};
+fi;
+#-
+#-
+l_rep1=`find ${d_n}/.. -name mo2st -print`
+l_rep2=`find ${d_n}/.. -name da2st -print`
+l_rep3=`find ${d_n}/.. -name mo2se -print`
+l_rep4=`find ${d_n}/.. -name da2mo -print`
+l_rep5=`find ${d_n}/.. -name da4mo -print`
+l_rep6=`find ${d_n}/.. -name da2ye -print`
+l_rep7=`find ${d_n}/.. -name da4ye -print`
+l_rep8=`find ${d_n}/.. -name mo2ye -print`
+l_rep9=`find ${d_n}/.. -name mo4ye -print`
+l_rep10=`find ${d_n}/.. -name mo2sn -print`
+l_rep11=`find ${d_n}/.. -name da2sn -print`
+l_rep12=`find ${d_n}/.. -name txt2tar -print`
+l_rep13=`find ${d_n}/.. -name monitoring_script -print`
+l_rep14=`find ${d_n}/.. -name monitoring_loop_script -print`
+l_rep15=`find ${d_n}/.. -name monitoring_loop2_script -print`
+l_rep16=`find ${d_n}/.. -name atlas_cpl_se_ORCA_LIM -print`
+l_rep17=`find ${d_n}/.. -name atlas_cpl_se -print`
+l_rep18=`find ${d_n}/.. -name atlas_cpl_se_LMDZOR -print`
+l_rep19=`find ${d_n}/.. -name atlas_cpl_se_ORCA_LIM2 -print`
+l_rep20=`find ${d_n}/.. -name create_ts -print`
+#-
+#-
+
+
+W_OS=${x_t};
+
+if   [ ${W_OS}  = "sx8brodie" ]; then
+   format='\s'
+elif [ ${W_OS}  = "fjvpp" ]; then
+   format='\d'
+elif [ ${W_OS}  = "sx8mercure" ]; then
+   format='\g'
+else
+echo "        !!! WARNING !!!"
+echo " The display format of numbers,"
+echo " needed for the dates, is not automaticaly set."
+echo " Please specify manually this format by replacing the PPPPPPP"
+echo " string in the Output Job with the desired format."
+echo "        !!! WARNING !!!"
+fi
+
+echo " ";
+echo "Installation of simple execution jobs for $W_OS";
+echo " ";
+#-
+
+for i in $l_rep1 $l_rep2 $l_rep3 $l_rep4 $l_rep5 $l_rep6 $l_rep7 $l_rep8 $l_rep9 $l_rep10 $l_rep11 $l_rep12 $l_rep13 $l_rep14 $l_rep15 $l_rep16 $l_rep17 $l_rep18 $l_rep19 $l_rep20
+do
+  echo " "
+  case $i in
+  "$l_rep1") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of mo2st.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/mo2st | grep -v '^#-Q- ' $1 > ${r}/mo2st.job ;;
+ "$l_rep2") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of da2st.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/da2st | grep -v '^#-Q- ' $1 > ${r}/da2st.job ;;
+  "$l_rep3") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of mo2se.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/mo2se | grep -v '^#-Q- ' $1 > ${r}/mo2se.job ;;
+  "$l_rep4") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of da2mo.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/da2mo | grep -v '^#-Q- ' $1 > ${r}/da2mo.job ;;
+  "$l_rep5") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of da4mo.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/da4mo | grep -v '^#-Q- ' $1 > ${r}/da4mo.job ;;
+  "$l_rep6") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of da2ye.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/da2ye | grep -v '^#-Q- ' $1 > ${r}/da2ye.job ;;
+  "$l_rep7") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of da4ye.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/da4ye | grep -v '^#-Q- ' $1 > ${r}/da4ye.job ;;
+  "$l_rep8") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of mo2ye.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/mo2ye | grep -v '^#-Q- ' $1 > ${r}/mo2ye.job ;;
+  "$l_rep9") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of mo4ye.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/mo4ye | grep -v '^#-Q- ' $1 > ${r}/mo4ye.job ;;
+  "$l_rep10") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of mo2sn.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/mo2sn | grep -v '^#-Q- ' $1 > ${r}/mo2sn.job ;;
+  "$l_rep11") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of da2sn.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/da2sn | grep -v '^#-Q- ' $1 > ${r}/da2sn.job ;;
+  "$l_rep12") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of txt2tar.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/txt2tar | grep -v '^#-Q- ' $1 > ${r}/txt2tar.job ;;
+  "$l_rep13") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of monitoring_script.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/monitoring_script | grep -v '^#-Q- ' $1 > ${r}/monitoring_script.job ;;
+  "$l_rep14") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of monitoring_loop_script.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/monitoring_loop_script | grep -v '^#-Q- ' $1 > ${r}/monitoring_loop_script.job ;;
+  "$l_rep15") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of monitoring_loop2_script.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS ;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/monitoring_loop2_script | grep -v '^#-Q- ' $1 > ${r}/monitoring_loop2_script.job ;;
+  "$l_rep16") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of atlas_cpl_se_ORCA_LIM.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/atlas_cpl_se_ORCA_LIM | grep -v '^#-Q- ' $1 > ${r}/atlas_cpl_se_ORCA_LIM.job ;;
+  "$l_rep17") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of atlas_cpl_se.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/atlas_cpl_se | grep -v '^#-Q- ' $1 > ${r}/atlas_cpl_se.job ;;
+  "$l_rep18") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of atlas_cpl_se_LMDZOR.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/atlas_cpl_se_LMDZOR | grep -v '^#-Q- ' $1 > ${r}/atlas_cpl_se_LMDZOR.job ;;
+  "$l_rep19") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of atlas_cpl_se_ORCA_LIM2.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+          set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/atlas_cpl_se_ORCA_LIM2 | grep -v '^#-Q- ' $1 > ${r}/atlas_cpl_se_ORCA_LIM2.job ;;
+  "$l_rep20") j=$(dirname $i);
+          MKTR="$j";
+          r=$(cd $j ; pwd);
+          echo "Installation of create_ts.job file in directory : $(cd $j ; pwd) ";
+          typeset -R W_XX[1];
+	  set -A W_XX '\#\-D\-' '#-Q- '$W_OS;
+          sed  -e "/^.*${W_XX[0]}$/d" -e "s,^${W_XX[1]}*,," -e "s,AAAAAAA,${d_n_post}\/${b_n_post},g" -e "s,PPPPPPP,${format},g" ${MKTR}/create_ts | grep -v '^#-Q- ' $1 > ${r}/create_ts.job ;;
+ esac
+done
+echo " ";
+exit 0;
Index: modipsl/tags/v2_1_1/util/ins_script
===================================================================
--- modipsl/tags/v2_1_1/util/ins_script	(revision 29)
+++ modipsl/tags/v2_1_1/util/ins_script	(revision 29)
@@ -0,0 +1,174 @@
+#!/bin/ksh
+# $Id$
+#---------------------------------------------------------------------
+#- Installation de scripts de lancement d experiences propres a un environnement
+#---------------------------------------------------------------------
+b_n=$(basename $0)
+d_n=$(dirname $0)
+
+#- Saisie et validation des options
+x_v='silencious';
+x_d='normal';
+x_t="";
+x_n="";
+
+while getopts :hvd:t:n: V
+  do
+    case $V in
+      (h)  echo "Usage    : "${b_n} \
+                " [-h] [-v] [-d] [-t h]  [-n f]";
+           echo " -h       : help";
+           echo " -v       : verbose mode";
+           echo " -d       : debug mode";
+           echo " -t h     : target host_name";
+           echo " -n f     : Name";
+           echo "Defaults  : -t local_host";
+           exit 0;;
+      (v)  x_v='verbose';;
+      (d)  x_d='debug';;
+      (t)  x_t=${OPTARG};;
+      (n)  x_n=${OPTARG};;
+      (:)  echo ${b_n}" : -"${OPTARG}" option : missing value" 1>&2;
+           exit 2;;
+      (\?) echo ${b_n}" : -"${OPTARG}" option : not supported" 1>&2;
+           exit 2;;
+    esac
+  done
+shift $(($OPTIND-1));
+#- Traitement des options
+#- REAL precision
+#- Target_Host Name
+if [ '\?'${x_t} = '\?' ]; then
+  x_t=`${d_n}/w_i_h`;
+  if [ $? -ne 0 ]; then
+    echo "Bad installation : w_i_h/uname unreachable" 1>&2;
+    exit 1;
+  elif [ "$x_t" = "Unknown" ]; then
+    echo "Local_Host not supported" 1>&2;
+    exit 1;
+  fi;
+fi;
+
+if   [ "$x_t" = "sx8brodie" ]; then
+   b_n_atlas=$(basename $HOME)
+   d_n_atlas=$(dirname $HOME | sed 's/home/u/')
+elif [ "$x_t" = "aix" ]; then
+   b_n_atlas=$LOGIN
+   d_n_atlas="/u/"$(dirname $HOME | awk -F\/ '{print $3"/"$4}')
+elif [ "$x_t" = "fjvpp" ]; then
+   b_n_atlas=$(basename $DMFDIR)
+   d_n_atlas=\/$(dirname $DMFDIR | awk -F\/ '{print $4}')
+elif [ "$x_t" = "sx8mercure" ]; then
+   b_n_atlas=$(basename $DMFDIR)
+   d_n_atlas=$(dirname $DMFDIR)
+else
+echo "        !!! WARNING !!!"
+echo " The path for the output files on the storage server,"
+echo " needed for the descriptor files, is not automaticaly set."
+echo " Please specify manually this path by replacing the AAAAAAA"
+echo " string in the Output Job with the desired path."
+echo "        !!! WARNING !!!"
+fi
+
+case ${x_t} in
+  ( aix | cray | fjvpp | linux | lxiv7 | lxiv8 | osf1 | \
+    solaris | t3e | sx8brodie | sx8mercure | unix ) ;;
+  (*)
+    echo "Target_Host "${x_t}" not supported" 1>&2;
+    exit 1;;
+esac
+#-
+x_m=$( (cd $d_n ; pwd) | sed -e "s,/util,," )
+
+if [ ${x_v} = 'verbose' ]; then
+  echo '--- Mode              : '${x_v};
+  echo '--- Compilation       : '${x_d};
+  echo '--- Target            : '${x_t};
+  echo '--- Name              : '${x_n};
+  echo '--- MODIPSL directory : '${x_m};
+fi;
+#-
+#-
+l_rep=`find ${d_n}/.. -name AA_job -print`
+#-
+W_OS=${x_t};
+#
+if   [ ${W_OS}  = "sx8brodie" ]; then
+   format='\s'
+elif [ ${W_OS}  = "aix" ]; then
+   format='\s'
+elif [ ${W_OS}  = "fjvpp" ]; then
+   format='\d'
+elif [ ${W_OS}  = "sx8mercure" ]; then
+   format='\s'
+else
+echo "        !!! WARNING !!!"
+echo " The display format of numbers,"
+echo " needed for the dates, is not automaticaly set."
+echo " Please specify manually this format by replacing the PPPPPPP"
+echo " string in the Output Job with the desired format."
+echo "        !!! WARNING !!!"
+fi
+echo " ";
+echo "Installation of simple execution jobs for $W_OS";
+echo " ";
+#-
+for i in $l_rep
+do
+  j=${i%/AA_job}
+  MKTR="$j"'/AA_job'
+  Job_name=`( grep '#-Q- '${W_OS}' #@$-r' ${MKTR} || grep '#-Q- '${W_OS}' #PBS -N' ${MKTR} || grep '#-Q- '${W_OS}' #@job_name' ${MKTR} ) | awk -F: '{print $3}'`
+  JN2=`( grep '#-Q- '${W_OS}' #@$-r' ${MKTR} || grep '#-Q- '${W_OS}' #PBS -N' ${MKTR} || grep '#-Q- '${W_OS}' #@job_name' ${MKTR} ) | awk -F: '{print $2}'`
+  JN4=`( grep '#-Q- '${W_OS}' #@$-r' ${MKTR} || grep '#-Q- '${W_OS}' #PBS -N' ${MKTR} || grep '#-Q- '${W_OS}' #@job_name' ${MKTR} ) | awk -F: '{print $4}'`
+  r=$( (cd $j ; pwd) )
+  echo "Installation in directory : $(cd $j ; pwd) ";
+  sed -e "s,MMMMMMM,${x_m}," -e "s,RRRRRRR,${r}," -e "s,AAAAAAA,${d_n_atlas}\/${b_n_atlas},g" ${MKTR}  > jb1.$$
+  W_XX='#-Q- '$W_OS
+  FILE_NAME="";
+
+if [ '\?'${x_n} = '\?' ] && [ '\?'${Job_name} = '\?' ]; then
+    FILE_NAME="$j/Job"
+elif [ '\?'${x_n} = '\?' ] && [ -n "${Job_name}" ] && [ ${Job_name} = XXX ]; then
+    FILE_NAME="$j/Job_LO1"
+elif [ '\?'${x_n} != '\?' ] && [ ${Job_name} = XXX ]; then
+  FILE_NAME="$j/Job_${x_n}"
+elif [ '\?'${x_n} = '\?' ] && [ -n "${Job_name}" ] && [ ${Job_name} != XXX ]; then
+  FILE_NAME="$j/Job_${Job_name}"
+elif [ '\?'${x_n} != '\?' ] && [ ${Job_name} != XXX ]; then
+  FILE_NAME="$j/Job_${x_n}"
+fi
+
+ if [ ! -f "${FILE_NAME}" ]; then
+   case ${FILE_NAME} in
+      "$j/Job") sed -e "s,PPPPPPP,${format},g" -e "s,^$W_XX *,," -e "s,JJJJJJJ,Job," jb1.$$ | grep -v '^#-Q- ' > ${FILE_NAME};;
+      "$j/Job_LO1") sed -e "s,PPPPPPP,${format},g" -e "s,^$W_XX *,," -e "s,XXXXXXX,LO1," -e "s,JJJJJJJ,Job_LO1," -e "s,:${JN2}:,," -e "s,${Job_name},LO1.1,"  -e "s,:${JN4}:,," jb1.$$ | grep -v '^#-Q- ' > ${FILE_NAME};;
+      "$j/Job_${x_n}") sed -e "s,PPPPPPP,${format},g" -e "s,^$W_XX *,," -e "s,XXXXXXX,${x_n}," -e "s,JJJJJJJ,Job_${x_n},"  -e "s,:${JN2}:,," -e "s,${Job_name},${x_n}.1,"  -e "s,:${JN4}:,,"  jb1.$$ | grep -v '^#-Q- ' > ${FILE_NAME};;
+      "$j/Job_${Job_name}") sed -e "s,PPPPPPP,${format},g" -e "s,^$W_XX *,," -e "s,XXXXXXX,${Job_name}," -e "s,JJJJJJJ,Job_${Job_name},"  -e "s,:${JN2}:,," -e "s,${Job_name},${Job_name}.1,"  -e "s,:${JN4}:,," jb1.$$ | grep -v '^#-Q- ' > ${FILE_NAME};;
+   esac
+   chmod 755 ${FILE_NAME}
+ else
+        echo " "
+        echo "WARNING : The file ${FILE_NAME} already exists, "
+        echo "WARNING : installation was not completed correctly "
+        echo "WARNING :       !!! NO FILE REPLACED !!!"
+        echo "WARNING : use parameter -n new_name to obtain Job_new_name script file"
+        echo "WARNING :   for example : ins_script -n LP1  "
+        echo " "
+   rm -f jb1.$$ 
+   exit 0;    
+ fi
+echo "Installation in file : `echo ${FILE_NAME} | sed -e 's,/.*/,,' ` ";
+ 
+#-$$ Introduire ici la selection de la technique de communication
+#-$$ pour OASIS (prefixe #-C- )
+done
+#-
+rm -f jb1.$$ 
+#-
+#-$$ launch ins_post if at least one post-processing utility exists
+#-$$
+OK_POST=`find ${d_n}/.. -name da2st`
+if [ -n "$OK_POST" ]; then
+${d_n}/ins_post -t ${x_t}
+fi
+exit 0;
Index: modipsl/tags/v2_1_1/util/mod.def
===================================================================
--- modipsl/tags/v2_1_1/util/mod.def	(revision 29)
+++ modipsl/tags/v2_1_1/util/mod.def	(revision 29)
@@ -0,0 +1,394 @@
+#- $Id$
+#---------------------------------------------------------------------
+#-This file is the definition file of the script "model".
+#---------------------------------------------------------------------
+#- Each model is defined by
+#- (prefix #-H-) model informations,
+#- (prefix #-M-) the email address of the model manager,
+#- (prefix #-C-) elements to extract for the model, in the order :
+#-   name of the component in the repository
+#-   tag/revision of the component
+#-   index of the repository in the server table
+#-   installation path in the local working directory
+#-   local working directory in modipsl
+#- (prefix #-S-) containing the control system and server address.
+#-
+#- The tag "?" correspond to the default model version.
+#- Invoking "model" with -H overrides any tag with "?".
+#---------------------------------------------------------------------
+#- Repository informations
+#-
+#-S- 1 cvs anonymous@cvs.ipsl.jussieu.fr:/home/ioipsl/CVSROOT
+#-S- 2 cvs sechiba@cvs.ipsl.jussieu.fr:/home/ssipsl/CVSREP
+#-S- 3 cvs lmdzbrowse@cvs.lmd.jussieu.fr:/home/cvsroot
+#-S- 4 cvs opa@cvs.ipsl.jussieu.fr:/home/opalod/CVSROOT
+#-S- 5 cvs nemo@cvs.ipsl.jussieu.fr:/home/opalod/NEMOCVSROOT
+#-S- 6 cvs inca@cvs.ipsl.jussieu.fr:/home/incaipsl/CVSROOT
+#-S- 7 svn --username nemo_user http://forge.ipsl.jussieu.fr/nemo/svn
+#-S- 8 svn http://forge.ipsl.jussieu.fr/igcmg/svn
+#---------------------------------------------------------------------
+#- Models description
+#-
+#-H- IPSLCM4_v1  Modele couple IPSL dit IPCC
+#-H- IPSLCM4_v1  ORCA tag ipsl_cm4_v1_10
+#-H- IPSLCM4_v1  IOIPSL/src tag ipsl_cm4_v1_9_1
+#-H- IPSLCM4_v1  LMDZ tag IPSL-CM4_IPCC
+#-H- IPSLCM4_v1  ORCHIDEE tag orchidee_1_3
+#-H- IPSLCM4_v1  CPL Oasis tag IPSL : ipsl_cm4_v1_2
+#-H- IPSLCM4_v1  IPSLCM4_v1 configuration tag IPSL : ipsl_cm4_v1_6
+#-M- IPSLCM4_v1  patricia.cadule@ipsl.jussieu.fr
+#-C- IPSLCM4_v1  IOIPSL/src         ipsl_cm4_v1_9_1  1  .
+#-C- IPSLCM4_v1  CPL                ipsl_cm4_v1_2    1  .
+#-C- IPSLCM4_v1  ORCHIDEE           orchidee_1_3     2  .
+#-C- IPSLCM4_v1  LMDZ.3.3           IPSL-CM4_IPCC    3  .
+#-C- IPSLCM4_v1  IPSLCM4_v1         ipsl_cm4_v1_6    1  .
+#-C- IPSLCM4_v1  OPA/SRC_ORCA       ipsl_cm4_v1_10   4  .
+#-C- IPSLCM4_v1  OPA/SRC_UCL        ipsl_cm4_v1_10   4  .
+#-C- IPSLCM4_v1  UTIL/fait_AA_make  ipsl_cm4_v1_8    4  .
+#-
+#-H- IPSLCM4_LOOP  IPSL coupled model with tracer model and carbon cycle
+#-H- IPSLCM4_LOOP  ORCA (OPA+TRC+LIM) : tag ipsl_cm4_loop_1
+#-H- IPSLCM4_LOOP  IOIPSL/src tag ioipsl-2-0
+#-H- IPSLCM4_LOOP  LMDZ4 tag IPSL-CM4_LOOP
+#-H- IPSLCM4_LOOP  ORCHIDEE tag orchidee_1_4
+#-H- IPSLCM4_LOOP  CPL Oasis tag IPSL : HEAD
+#-H- IPSLCM4_LOOP  IPSLCM4_LOOP configuration tag IPSL : ipsl_cm4_loop_v1
+#-H- IPSLCM4_LOOP  Message sent to Patricia CADULE (IPSL)
+#-M- IPSLCM4_LOOP  patricia.cadule@ipsl.jussieu.fr
+#-C- IPSLCM4_LOOP  IOIPSL/src    ioipsl-2-0      1 . modeles
+#-C- IPSLCM4_LOOP  CPL           ?               1 . modeles
+#-C- IPSLCM4_LOOP  ORCHIDEE      orchidee_1_4    2 . modeles
+#-C- IPSLCM4_LOOP  LMDZ4         IPSL-CM4_LOOP   3 . modeles
+#-C- IPSLCM4_LOOP  IPSLCM4_LOOP  ?               1 IPSLCM4_LOOP config
+#-C- IPSLCM4_LOOP  IPSLCM4_v1/Utilitaires ipsl_cm4_v1_6 1 post_util .
+#-C- IPSLCM4_LOOP  OPA/SRC_ORCA  ipsl_cm4_loop_1 4 . modeles
+#-C- IPSLCM4_LOOP  OPA/SRC_UCL   ipsl_cm4_loop_1 4 . modeles
+#-C- IPSLCM4_LOOP  OPA/SRC_TRC   ipsl_cm4_loop_1 4 . modeles
+#-C- IPSLCM4_LOOP  UTIL/fait_AA_make ipsl_cm4_v1_8 4 .  modeles
+#-
+#-H- IPSLCM4_v1_OASIS3  IPSLCM4_v1_OASIS3 configuration with OASIS3 coupler 23/03/05
+#-H- IPSLCM4_v1_OASIS3  ORCA tag ipsl_cm4_v1_10
+#-H- IPSLCM4_v1_OASIS3  IOIPSL/src tag ioipsl-2-1
+#-H- IPSLCM4_v1_OASIS3  LMDZ4 tag IPSL-CM4_IPCC_branch
+#-H- IPSLCM4_v1_OASIS3  ORCHIDEE tag orchidee_1_3_1
+#-H- IPSLCM4_v1_OASIS3  OASIS3
+#-M- IPSLCM4_v1_OASIS3  arnaud.caubel@cea.fr
+#-C- IPSLCM4_v1_OASIS3  IOIPSL/src    ioipsl-2-1 1 . modeles
+#-C- IPSLCM4_v1_OASIS3  ORCHIDEE      orchidee_1_3_1 2 . modeles
+#-C- IPSLCM4_v1_OASIS3  OASIS3        ? 1 prism .
+#-C- IPSLCM4_v1_OASIS3  LMDZ4         IPSL-CM4_IPCC_branch 3 . modeles
+#-C- IPSLCM4_v1_OASIS3  IPSLCM4_v1_OASIS3  ? 1 . config
+#-C- IPSLCM4_v1_OASIS3  IPSLCM4_v1/Utilitaires ipsl_cm4_v1_6 1 post_util .
+#-C- IPSLCM4_v1_OASIS3  OPA/SRC_ORCA   ipsl_cm4_v1_10 4 . modeles
+#-C- IPSLCM4_v1_OASIS3  OPA/SRC_UCL    ipsl_cm4_v1_10 4 . modeles
+#-C- IPSLCM4_v1_OASIS3  UTIL/fait_AA_make ipsl_cm4_v1_8 4 .  modeles
+#-
+#-H- IPSLCM4_v2_PAR  IPSLCM4_v2_PAR configuration with parallel LMDZ4 and ORCHIDEE
+#-H- IPSLCM4_v2_PAR  working configuration
+#-H- IPSLCM4_v2_PAR  ORCA tag ipsl_cm4_v1_10
+#-H- IPSLCM4_v2_PAR  IOIPSL/src tag ioipsl-3-1
+#-H- IPSLCM4_v2_PAR  LMDZ4 tag V3_test
+#-H- IPSLCM4_v2_PAR  ORCHIDEE tag ORCHIDEE_PARA
+#-H- IPSLCM4_v2_PAR  OASIS3 tag HEAD
+#-M- IPSLCM4_v2_PAR  arnaud.caubel@cea.fr
+#-C- IPSLCM4_v2_PAR  IOIPSL/src             ioipsl-3-1     1 . modeles
+#-C- IPSLCM4_v2_PAR  ORCHIDEE               ORCHIDEE_PARA  2 . modeles
+#-C- IPSLCM4_v2_PAR  OASIS3                 ?              1 prism .
+#-C- IPSLCM4_v2_PAR  LMDZ4                  V3_test        3 . modeles
+#-C- IPSLCM4_v2_PAR  IPSLCM4_v2_PAR         ?              1 . config
+#-C- IPSLCM4_v2_PAR  IPSLCM4_v1/Utilitaires ipsl_cm4_v1_6  1 post_util .
+#-C- IPSLCM4_v2_PAR  OPA/SRC_ORCA           ipsl_cm4_v1_11 4 . modeles
+#-C- IPSLCM4_v2_PAR  OPA/SRC_UCL            ipsl_cm4_v1_11 4 . modeles
+#-C- IPSLCM4_v2_PAR  UTIL/fait_AA_make      ipsl_cm4_v1_8  4 .  modeles
+#-
+#-H- IOIPSL  IOIPSL source only
+#-H- IOIPSL  IOIPSL tag ioipsl-2-0
+#-M- IOIPSL  foujols@ipsl.jussieu.fr
+#-C- IOIPSL  IOIPSL/src  ioipsl-3-1  1  .
+#-
+#-H- IOIPSL_PLUS  IOIPSL source, tools, doc and samples
+#-H- IOIPSL_PLUS  IOIPSL (development version)
+#-M- IOIPSL_PLUS  foujols@ipsl.jussieu.fr
+#-C- IOIPSL_PLUS  IOIPSL  ?  1  .
+#-
+#-H- ORCHIDEE  Modele ORCHIDEE seulement les sources
+#-H- ORCHIDEE  ORCHIDEE tag orchidee_1_3
+#-M- ORCHIDEE  Martial.Mancip@ipsl.jussieu.fr
+#-C- ORCHIDEE  ORCHIDEE  orchidee_1_3  2  .
+#-
+#-H- ORCHIDEE_OL  Modele ORCHIDEE pour utilisation OFFLINE
+#-H- ORCHIDEE_OL  ORCHIDEE tag orchidee_1_3
+#-H- ORCHIDEE_OL  ORCHIDEE_OL tag old_ioipsl
+#-M- ORCHIDEE_OL  Martial.Mancip@ipsl.jussieu.fr
+#-C- ORCHIDEE_OL  IOIPSL/src   ipsl_cm4_v1_9_1  1  .
+#-C- ORCHIDEE_OL  ORCHIDEE     orchidee_1_3     2  .
+#-C- ORCHIDEE_OL  ORCHIDEE_OL  old_ioipsl       2  .
+#-
+#-H- ORCHIDEE_OL_IO2  Modele ORCHIDEE pour utilisation OFFLINE
+#-H- ORCHIDEE_OL_IO2  ORCHIDEE tag orchidee_1_3
+#-H- ORCHIDEE_OL_IO2  ORCHIDEE_OL Head version
+#-H- ORCHIDEE_OL_IO2  IOIPSL f90 version Head version
+#-M- ORCHIDEE_OL_IO2  Martial.Mancip@ipsl.jussieu.fr
+#-C- ORCHIDEE_OL_IO2  IOIPSL/src   ioipsl-2-1    1  .
+#-C- ORCHIDEE_OL_IO2  ORCHIDEE     orchidee_1_5  2  .
+#-C- ORCHIDEE_OL_IO2  ORCHIDEE_OL  old_ioipsl    2  .
+#-
+#-H- ORCHIDEE_OL2  Modele ORCHIDEE pour utilisation OFFLINE
+#-H- ORCHIDEE_OL2  ORCHIDEE with no tag
+#-H- ORCHIDEE_OL2  ORCHIDEE_OL with no tag
+#-M- ORCHIDEE_OL2  Martial.Mancip@ipsl.jussieu.fr
+#-C- ORCHIDEE_OL2  IOIPSL/src   ?  1  .
+#-C- ORCHIDEE_OL2  ORCHIDEE     ?  2  .
+#-C- ORCHIDEE_OL2  ORCHIDEE_OL  ?  2  .
+#-
+#-H- LMDZ  LMDZ main branch tagged in june 2001
+#-M- LMDZ  fairhead@lmd.jussieu.fr
+#-C- LMDZ  IOIPSL/src  ipsl_cm4_v1_9_1  1  .
+#-C- LMDZ  LMDZ.3.3    rel-1-0-patch    3  .
+#-
+#-H- LMDZOR  LMDZ with ORCHIDEE :
+#-H- LMDZOR  closest version to the IPSL coupled model
+#-H- LMDZOR  LMDZ tag IPSL-CM4_LJ29_OPT
+#-H- LMDZOR  ORCHIDEE tag orchidee_1_3
+#-M- LMDZOR  fairhead@lmd.jussieu.fr
+#-C- LMDZOR  IOIPSL/src ipsl_cm4_v1_9_1   1 .
+#-C- LMDZOR  ORCHIDEE   orchidee_1_3      2 .
+#-C- LMDZOR  LMDZ.3.3   IPSL-CM4_LJ29_OPT 3 .
+#-C- LMDZOR  LMDZOR     ?                 3 .
+#-
+#-H- LMDZ4OR  LMDZ with ORCHIDEE :
+#-H- LMDZ4OR  closest version to the IPSL coupled model IPSLCM4_v1_OASIS3
+#-H- LMDZ4OR  LMDZ4 IPSL-CM4_IPCC_branch version
+#-H- LMDZ4OR  ORCHIDEE tag orchidee_1_3_1
+#-H- LMDZ4OR  IOIPSL tag ioipsl-2-1
+#-M- LMDZ4OR  fairhead@lmd.jussieu.fr
+#-C- LMDZ4OR  IOIPSL/src             ioipsl-2-1           1 . modeles
+#-C- LMDZ4OR  ORCHIDEE               orchidee_1_3_1       2 . modeles
+#-C- LMDZ4OR  LMDZ4                  IPSL-CM4_IPCC_branch 3 . modeles
+#-C- LMDZ4OR  LMDZ4OR                ?                    1 . config
+#-C- LMDZ4OR  IPSLCM4_v1/Utilitaires ipsl_cm4_v1_6        1 post_util .
+#-
+#-H- LMDZ4OR_V2  LMDZ4 with ORCHIDEE :
+#-H- LMDZ4OR_V2  Latest validated LMDZ4 version
+#-H- LMDZ4OR_V2  LMDZ4 LMDZ_V2 version
+#-H- LMDZ4OR_V2  ORCHIDEE tag orchidee_1_3
+#-H- LMDZ4OR_V2  IOIPSL tag ioipsl-2-1
+#-M- LMDZ4OR_V2  fairhead@lmd.jussieu.fr
+#-C- LMDZ4OR_V2  IOIPSL/src             ioipsl-2-1    1  .      modeles
+#-C- LMDZ4OR_V2  ORCHIDEE               orchidee_1_3  2  .      modeles
+#-C- LMDZ4OR_V2  LMDZ4                  LMDZ4_V2      3  .      modeles
+#-C- LMDZ4OR_V2  LMDZ4OR                ?             1  .      config
+#-C- LMDZ4OR_V2  IPSLCM4_v1/Utilitaires ipsl_cm4_v1_6 1  post_util .
+#-
+#-H- LMDZ4OR_V3_CHILI  LMDZ4 with ORCHIDEE :
+#-H- LMDZ4OR_V3_CHILI  Latest validated LMDZ4_v3 version
+#-H- LMDZ4OR_V3_CHILI  LMDZ4 LMDZ_V3 version
+#-H- LMDZ4OR_V3_CHILI  ORCHIDEE tag ORCHIDEE_PARA
+#-H- LMDZ4OR_V3_CHILI  IOIPSL tag ioipsl-3-1
+#-M- LMDZ4OR_V3_CHILI  fairhead@lmd.jussieu.fr
+#-C- LMDZ4OR_V3_CHILI  IOIPSL/src  ioipsl-3-1     1  .  modeles
+#-C- LMDZ4OR_V3_CHILI  ORCHIDEE    ORCHIDEE_PARA  2  .  modeles
+#-C- LMDZ4OR_V3_CHILI  LMDZ4       V3_test        3  .  modeles
+#-C- LMDZ4OR_V3_CHILI  LMDZ4OR     ?              1  .  config
+#-C- LMDZ4OR_V3_CHILI  libIGCM     ?              1  .  scripts
+#-
+#-H- LMDZ4INCA  LMDZ with INCA :
+#-H- LMDZ4INCA  closest version to the IPSL coupled model IPSLCM4_v1_OASIS3
+#-H- LMDZ4INCA  LMDZ4 reference version
+#-H- LMDZ4INCA  INCA.2 reference version
+#-H- LMDZ4INCA  IOIPSL tag ioipsl-2-0
+#-M- LMDZ4INCA  Anne.Cozic@cea.fr
+#-C- LMDZ4INCA  IOIPSL/src  ioipsl-2-0  1  .  modeles
+#-C- LMDZ4INCA  INCA.2      ?           6  .  modeles
+#-C- LMDZ4INCA  LMDZ4       ?           3  .  modeles
+#-C- LMDZ4INCA  LMDZ4INCA   ?           1  .  config
+#-
+#-H- LMDZ4INCA_V2  LMDZ with INCA :
+#-H- LMDZ4INCA_V2  closest version to the IPSL coupled model IPSLCM4_v2_PAR
+#-H- LMDZ4INCA_V2  LMDZ4 version v3_test
+#-H- LMDZ4INCA_V2  INCA3 reference version
+#-H- LMDZ4INCA_V2  IOIPSL tag ioipsl-3-1
+#-M- LMDZ4INCA_V2  Anne.Cozic@cea.fr
+#-C- LMDZ4INCA_V2  IOIPSL/src    ioipsl-3-1  1  .  modeles
+#-C- LMDZ4INCA_V2  INCA3         ?           6  .  modeles
+#-C- LMDZ4INCA_V2  LMDZ4         V3_test     3  .  modeles
+#-C- LMDZ4INCA_V2  LMDZ4INCA_V2  ?           1  .  config
+#-
+#-H- LMDZOR_V1  LMDZ with ORCHIDEE.
+#-H- LMDZOR_V1  ORCHIDEE no tag
+#-H- LMDZOR_V1  LMDZ tag IPSL-CM4_v2x0
+#-M- LMDZOR_V1  fairhead@lmd.jussieu.fr
+#-C- LMDZOR_V1  IOIPSL/src  ipsl_cm4_v1_9_1  1  .
+#-C- LMDZOR_V1  ORCHIDEE    HEAD             2  .
+#-C- LMDZOR_V1  LMDZ.3.3    rel-LF           3  .
+#-C- LMDZOR_V1  LMDZOR      ?                3  .
+#-
+#-H- ORCA2  ORCA 2 degrees - no ice model
+#-H- ORCA2  ORCA tag ipsl_cm4_v1_6
+#-H- ORCA2  IOIPSL/src tag ipsl_cm4_v1_9_1
+#-M- ORCA2  opatlod@lodyc.jussieu.fr
+#-C- ORCA2  IOIPSL/src         ipsl_cm4_v1_9_1  1  .
+#-C- ORCA2  OPA/SRC_ORCA       ipsl_cm4_v1_6    4  .
+#-C- ORCA2  UTIL/fait_AA_make  ipsl_cm4_v1_8    4  .
+#-C- ORCA2  CONFIG/ORCA2       ?                4  ORCA2
+#-
+#-H- ORCA2_LIM  ORCA 2 degrees with Louvain Ice Model
+#-H- ORCA2_LIM  ORCA tag ipsl_cm4_v1_6
+#-H- ORCA2_LIM  LIM tag ipsl_cm4_v1_6
+#-H- ORCA2_LIM  IOIPSL/src tag ipsl_cm4_v1_9_1
+#-M- ORCA2_LIM  opatlod@lodyc.jussieu.fr
+#-C- ORCA2_LIM  IOIPSL/src         ipsl_cm4_v1_9_1  1  .
+#-C- ORCA2_LIM  OPA/SRC_ORCA       ipsl_cm4_v1_6    4  .
+#-C- ORCA2_LIM  OPA/SRC_UCL        ipsl_cm4_v1_6    4  .
+#-C- ORCA2_LIM  UTIL/fait_AA_make  ipsl_cm4_v1_8    4  .
+#-C- ORCA2_LIM  CONFIG/ORCA2_LIM   ?                4  ORCA2_LIM
+#-
+#-H- NEMO  NEMO
+#-H- NEMO  OPA
+#-H- NEMO  LIM
+#-H- NEMO  TOP
+#-H- NEMO  IOIPSL/src tag ioipsl-3-1
+#-H- NEMO  NEMO sources and configurations
+#-M- NEMO  opatlod@lodyc.jussieu.fr
+#-C- NEMO  IOIPSL/src        ioipsl-3-1  1  .          modeles
+#-C- NEMO  AGRIF             ?           5  .          modeles
+#-C- NEMO  NEMO              nemo_v2     5  .          modeles
+#-C- NEMO  UTIL              nemo_v2     5  .          modeles
+#-C- NEMO  CONFIG/GYRE       nemo_v2     5  GYRE       config
+#-C- NEMO  CONFIG/ORCA2_LIM  nemo_v2     5  ORCA2_LIM  config
+#-
+#-H- ORCA4_LIM  ORCA 4 degrees with Louvain Ice Model
+#-H- ORCA4_LIM  ORCA tag ipsl_cm4_v1_6
+#-H- ORCA4_LIM  LIM tag ipsl_cm4_v1_6
+#-H- ORCA4_LIM  IOIPSL/src tag ipsl_cm4_v1_9_1
+#-M- ORCA4_LIM  opatlod@lodyc.jussieu.fr
+#-C- ORCA4_LIM  IOIPSL/src         ipsl_cm4_v1_9_1  1  .
+#-C- ORCA4_LIM  OPA/SRC_ORCA       ipsl_cm4_v1_6    4  .
+#-C- ORCA4_LIM  OPA/SRC_UCL        ipsl_cm4_v1_6    4  .
+#-C- ORCA4_LIM  UTIL/fait_AA_make  ipsl_cm4_v1_8    4  .
+#-C- ORCA4_LIM  CONFIG/ORCA4_LIM   ?                4  ORCA4_LIM
+#-
+#-H- ORCA2_LIM_TRC  ORCA 2 degrees with Louvain Ice Model with tracers model
+#-H- ORCA2_LIM_TRC  ORCA tag ipsl_cm4_v1_6
+#-H- ORCA2_LIM_TRC  LIM tag ipsl_cm4_v1_6
+#-H- ORCA2_LIM_TRC  IOIPSL/src tag ipsl_cm4_v1_9_1
+#-M- ORCA2_LIM_TRC  opatlod@lodyc.jussieu.fr
+#-C- ORCA2_LIM_TRC  IOIPSL/src           ipsl_cm4_v1_9_1 1 .
+#-C- ORCA2_LIM_TRC  OPA/SRC_ORCA         ipsl_cm4_v1_6   4 .
+#-C- ORCA2_LIM_TRC  OPA/SRC_UCL          ipsl_cm4_v1_6   4 .
+#-C- ORCA2_LIM_TRC  OPA/SRC_TRC          ipsl_cm4_v1_6   4 .
+#-C- ORCA2_LIM_TRC  UTIL/fait_AA_make    ipsl_cm4_v1_8   4 .
+#-C- ORCA2_LIM_TRC  CONFIG/ORCA2_LIM_TRC ?               4 ORCA2_LIM_TRC
+#
+#-H- ORCA2_OFF_TRC  ORCA 2 degrees offline with tracers model
+#-H- ORCA2_OFF_TRC  ORCA tag ipsl_cm4_v1_6
+#-H- ORCA2_OFF_TRC  IOIPSL/src tag ipsl_cm4_v1_9_1
+#-M- ORCA2_OFF_TRC  opatlod@lodyc.jussieu.fr
+#-C- ORCA2_OFF_TRC  IOIPSL/src           ipsl_cm4_v1_9_1 1 .
+#-C- ORCA2_OFF_TRC  OPA/SRC_OFFLINE_TRC  ipsl_cm4_v1_6   4 .
+#-C- ORCA2_OFF_TRC  OPA/SRC_TRC          ipsl_cm4_v1_6   4 .
+#-C- ORCA2_OFF_TRC  UTIL/fait_AA_make    ipsl_cm4_v1_8   4 .
+#-C- ORCA2_OFF_TRC  CONFIG/ORCA2_OFF_TRC ?               4 ORCA2_OFF_TRC
+#-
+#-H- EEL2  EEL2 configuration - no ice model
+#-H- EEL2  ORCA tag ipsl_cm4_v1_6
+#-H- EEL2  IOIPSL/src tag ipsl_cm4_v1_9_1
+#-M- EEL2  opatlod@lodyc.jussieu.fr
+#-C- EEL2  IOIPSL/src         ipsl_cm4_v1_9_1  1  .
+#-C- EEL2  OPA/SRC_ORCA       ipsl_cm4_v1_6    4  .
+#-C- EEL2  UTIL/fait_AA_make  ipsl_cm4_v1_8    4  .
+#-C- EEL2  CONFIG/EEL2        ?                4  EEL2
+#-
+#-H- EEL2_LOBSTER1  EEL2_LOBSTER1 configuration, EEL2+tracers - no ice model
+#-H- EEL2_LOBSTER1  ORCA tag ipsl_cm4_v1_6
+#-H- EEL2_LOBSTER1  IOIPSL/src tag ipsl_cm4_v1_9_1
+#-M- EEL2_LOBSTER1  opatlod@lodyc.jussieu.fr
+#-C- EEL2_LOBSTER1  IOIPSL/src           ipsl_cm4_v1_9_1 1 .
+#-C- EEL2_LOBSTER1  OPA/SRC_ORCA         ipsl_cm4_v1_6   4 .
+#-C- EEL2_LOBSTER1  OPA/SRC_TRC          ipsl_cm4_v1_6   4 .
+#-C- EEL2_LOBSTER1  UTIL/fait_AA_make    ipsl_cm4_v1_8   4 .
+#-C- EEL2_LOBSTER1  CONFIG/EEL2_LOBSTER1 ?               4 EEL2_LOBSTER1
+#-
+#-H- EEL6  EEL6 configuration - no ice model
+#-H- EEL6  ORCA tag ipsl_cm4_v1_6
+#-H- EEL6  IOIPSL/src tag ipsl_cm4_v1_9_1
+#-M- EEL6  opatlod@lodyc.jussieu.fr
+#-C- EEL6  IOIPSL/src         ipsl_cm4_v1_9_1  1  .
+#-C- EEL6  OPA/SRC_ORCA       ipsl_cm4_v1_6    4  .
+#-C- EEL6  UTIL/fait_AA_make  ipsl_cm4_v1_8    4  .
+#-C- EEL6  CONFIG/EEL6        ?                4  EEL6
+#-
+#-H- EEL6_LOBSTER1  EEL6_LOBSTER1 configuration, EEL6+tracers - no ice model
+#-H- EEL6_LOBSTER1  ORCA tag ipsl_cm4_v1_6
+#-H- EEL6_LOBSTER1  IOIPSL/src tag ipsl_cm4_v1_9_1
+#-M- EEL6_LOBSTER1  opatlod@lodyc.jussieu.fr
+#-C- EEL6_LOBSTER1  IOIPSL/src           ipsl_cm4_v1_9_1 1 .
+#-C- EEL6_LOBSTER1  OPA/SRC_ORCA         ipsl_cm4_v1_6   4 .
+#-C- EEL6_LOBSTER1  OPA/SRC_TRC          ipsl_cm4_v1_6   4 .
+#-C- EEL6_LOBSTER1  UTIL/fait_AA_make    ipsl_cm4_v1_8   4 .
+#-C- EEL6_LOBSTER1  CONFIG/EEL6_LOBSTER1 ?               4 EEL6_LOBSTER1
+#-
+#-M- TOY  foujols@ipsl.jussieu.fr
+#-C- TOY  TOY  ?  1  .
+#-C- TOY  CPL  ?  1  .
+#-
+#-H- ORCA_TOYATM  Modele couple ORCA4 - TOYATM
+#-H- ORCA_TOYATM  ORCA tag ipsl_cm4_v1_10
+#-H- ORCA_TOYATM  IOIPSL/src tag ioipsl-2-1
+#-H- ORCA_TOYATM  ORCA_TOYATM configuration with OASIS3 coupler 06/2005
+#-M- ORCA_TOYATM  arnaud.caubel@cea.fr
+#-C- ORCA_TOYATM  IOIPSL/src         ioipsl-2-1    1 .      modeles
+#-C- ORCA_TOYATM  OASIS3             ?             1 prism  .
+#-C- ORCA_TOYATM  TOY/ATM            ?             1 TOYATM modeles
+#-C- ORCA_TOYATM  ORCA_TOYATM        ?             1 .      config
+#-C- ORCA_TOYATM  OPA/SRC_ORCA      ipsl_cm4_v1_10 4 .      modeles
+#-C- ORCA_TOYATM  OPA/SRC_UCL       ipsl_cm4_v1_10 4 .      modeles
+#-C- ORCA_TOYATM  UTIL/fait_AA_make ipsl_cm4_v1_8  4 .      modeles
+#-
+#-H- SVNNEMO  NEMO source only
+#-M- SVNNEMO  opatlod@lodyc.jussieu.fr
+#-C- SVNNEMO  trunk/NEMO  ?  7  .
+#-
+#-H- NEMOSVN  NEMO
+#-H- NEMOSVN  OPA
+#-H- NEMOSVN  LIM
+#-H- NEMOSVN  TOP
+#-H- NEMOSVN  IOIPSL/src tag ioipsl-3-1
+#-H- NEMOSVN  NEMO sources and configurations
+#-M- NEMOSVN  opatlod@lodyc.jussieu.fr
+#-C- NEMOSVN  IOIPSL/src             ioipsl-3-1 1 .         modeles
+#-C- NEMOSVN  trunk/AGRIF            ?          7 .         modeles
+#-C- NEMOSVN  trunk/NEMO             585        7 .         modeles
+#-C- NEMOSVN  trunk/UTIL             544        7 .         modeles
+#-C- NEMOSVN  trunk/CONFIG/GYRE      590        7 GYRE      config
+#-C- NEMOSVN  trunk/CONFIG/ORCA2_LIM 590        7 ORCA2_LIM config
+#-
+#-H- IOIPSL_SVN  IOIPSL source only
+#-H- IOIPSL_SVN  IOIPSL public version
+#-M- IOIPSL_SVN  foujols@ipsl.jussieu.fr
+#-C- IOIPSL_SVN  IOIPSL/tags/v2_1_1/src HEAD 8 IOIPSL/src modeles
+#-
+#-H- IOIPSL_PLUS_SVN  IOIPSL
+#-H- IOIPSL_PLUS_SVN  IOIPSL public version
+#-M- IOIPSL_PLUS_SVN  foujols@ipsl.jussieu.fr
+#-C- IOIPSL_PLUS_SVN  IOIPSL/tags/v2_1_1 HEAD 8 IOIPSL modeles
+#-
+#-H- IOIPSL_DEV  IOIPSL
+#-H- IOIPSL_DEV  IOIPSL development version
+#-M- IOIPSL_DEV  foujols@ipsl.jussieu.fr
+#-C- IOIPSL_DEV  IOIPSL/trunk/src HEAD 8 IOIPSL/src modeles
+#-
+#-H- NEMO_SVN  NEMO
+#-H- NEMO_SVN  OPA
+#-H- NEMO_SVN  LIM
+#-H- NEMO_SVN  TOP
+#-H- NEMO_SVN  IOIPSL/src - svn - tag v2_1_1
+#-H- NEMO_SVN  NEMO sources and configurations - svn - tag nemo_v2_3_beta
+#-M- NEMO_SVN  opatlod@lodyc.jussieu.fr
+#-C- NEMO_SVN  IOIPSL/tags/v2_1_1/src          HEAD 8 IOIPSL/src modeles
+#-C- NEMO_SVN  tags/nemo_v2_3_beta/AGRIF       HEAD 7 . modeles
+#-C- NEMO_SVN  tags/nemo_v2_3_beta/NEMO        HEAD 7 . modeles
+#-C- NEMO_SVN  tags/nemo_v2_3_beta/UTIL        HEAD 7 . modeles
+#-C- NEMO_SVN  tags/nemo_v2_3_beta/CONFIG/GYRE HEAD 7 GYRE config
+#-C- NEMO_SVN  tags/nemo_v2_3_beta/CONFIG/ORCA2_LIM HEAD 7 ORCA2_LIM config
+#-
Index: modipsl/tags/v2_1_1/util/model
===================================================================
--- modipsl/tags/v2_1_1/util/model	(revision 29)
+++ modipsl/tags/v2_1_1/util/model	(revision 29)
@@ -0,0 +1,390 @@
+#!/bin/ksh
+#- $Id$
+#---------------------------------------------------------------------
+# @(#)Actions concerning IPSL models
+#---------------------------------------------------------------------
+#set -xv
+MAIL_ADDRESS=patricia.cadule@ipsl.jussieu.fr
+MAIL_COM=mail
+#MAIL_COM=Mail
+#-
+# Dirname and Basename
+#-
+d_n=${0%/*}; b_n=${0##*/};
+#-
+# Retrieve and validate the options
+#-
+m_n=""; m_a="checkout"; m_v='silencious'; no_tag='false';
+while getopts :hevH V
+  do
+    case $V in
+      (h)  m_a='help';;
+      (e)  m_a='checkout';;
+      (v)  m_v='verbose';;
+      (H)  no_tag='true';;
+      (:)  echo ${b_n}" : option $OPTARG : missing value" 1>&2;
+           exit 2;;
+      (\?) echo ${b_n}" : option $OPTARG : not supported" 1>&2;
+           exit 2;;
+    esac
+  done
+shift $(($OPTIND-1));
+#-
+# Validate the action
+#-
+[[ ${m_a} = help || ${m_a} = checkout ]] || \
+ {
+  echo 'Action '"${m_a}"' not supported' 1>&2;
+  echo 'Try "'${b_n}' -h [model-name]"' 1>&2;
+  exit 4;
+ }
+#-
+# Retrieve the model name
+#-
+[[ ${#} -gt 1 ]] && \
+  { echo 'Only one model can be specified' 1>&2; exit 3; }
+[[ ${#} -eq 1 ]] && { m_n="${1}"; }
+[[ ${m_a} != 'help' && -z ${m_n} ]] && \
+ {
+  echo 'Model not specified' 1>&2;
+  echo 'Try "'${b_n}' -h [model-name]"' 1>&2;
+  exit 3;
+ }
+#-
+# Test availability of the definition file
+#-
+F_DEF=${d_n}'/mod.def'
+[[ ! -f "${F_DEF}" ]] && { echo "${F_DEF} unreachable ..."; exit 3; }
+#-
+# Extract the names of the supported models
+#-
+qi=0;
+while read v0 v1 v2
+  do
+    [[ -n "${v0}" && "${v0}" = '#-C-' ]] && \
+     {
+      i_m=-1;
+      qa=0; while (( ${qa} < ${#m_x[@]} ))
+       do
+         ((qa=qa+1));
+         [[ -n "${v1}" && "${v1}" = ${m_x[${qa}]} ]] && \
+          { i_m=${qa}; break; };
+       done
+      (( ${i_m} < 0 )) && { ((qi=qi+1)); m_x[${qi}]=${v1}; };
+     }
+  done <${F_DEF}
+unset v0 v1 v2;
+#-
+# Model name validation and data retrieving
+#-
+[[ -n "${m_n}" ]] && \
+  {
+    #- Validate the model name
+    i_m=-1;
+    qi=0; while (( ${qi} < ${#m_x[@]} ))
+      do
+        ((qi=qi+1));
+        [[ ${m_n} = ${m_x[${qi}]} ]] && { i_m=${qi}; break; };
+      done
+    (( ${i_m} < 0 )) && \
+     { echo 'Model '"${m_n}"' unknown' 1>&2;
+       echo 'Try "'${b_n}' -h"' 1>&2; exit 3; }
+    #- Extract the repository informations
+    #- ( index, repository system, servers address )
+    while read v0 v1 v2 v3
+      do
+        [[ -n "${v0}" && "${v0}" = '#-S-' ]] && \
+         { r_p[${v1}]=${v2}; r_s[${v1}]=${v3}; }
+      done <${F_DEF}
+    unset v0 v1 v2 v3;
+    #- Extract the model informations
+    qi=0;
+    while read v0 v1 v2 v3 v4 v5 v6
+      do
+        [[ -n "${v1}" && "${v1}" = "${m_n}" ]] && \
+         {
+          #- model manager email address
+          [[ "${v0}" = '#-M-' ]] && { m_m=${v2}; continue; }
+          #- elements for the model component
+          [[ "${v0}" = '#-C-' ]] && \
+           {
+            ((qi=qi+1));
+            [[ -z "${v2}" ]] && \
+             {
+              echo 'Component not found for '${m_n};
+              exit 3;
+             }
+            m_c[${qi}]=${v2};
+            [[ -z "${v3}" ]] && \
+             {
+              echo 'Tag not found for component '${v2}' of '${m_n};
+              exit 3;
+             }
+            [[ ${no_tag} = 'false' ]] && \
+             { m_t[${qi}]=${v3}; }    || \
+             { m_t[${qi}]='?'; }
+            [[ -z "${v4}" ]] && \
+             {
+              echo 'Repository index not found for '${m_n};
+              exit 3;
+             }
+            m_p[${qi}]=${r_p[${v4}]};
+            [[ ${m_p[${qi}]} = svn || ${m_p[${qi}]} = cvs ]] || \
+             {
+              echo 'Control system '"${m_p[${qi}]}"' not supported' 1>&2;
+              exit 3;
+             }
+            m_s[${qi}]=${r_s[${v4}]};
+            [[ -z "${m_s[${qi}]}" ]] && \
+             {
+              echo 'Server '${v4}'  not found for '${m_n};
+              exit 3;
+             }
+            m_d[${qi}]=${v5};
+            [[ -z "${m_d[${qi}]}" ]] && { m_d[${qi}]="."; }
+            m_l[${qi}]=${v6};
+            [[ -z "${m_l[${qi}]}" ]] && { m_l[${qi}]="modeles"; }
+           }
+         }
+      done <${F_DEF}
+    unset v0 v1 v2 v3 v4 v5 v6
+    #- Validate the model informations
+    #- model manager email address
+    [[ -z "${m_m}" ]] && \
+     { echo 'Manager email address not found for '${m_n}; exit 3; }
+    #- model components
+    [[ ${#m_c[@]} = 0 ]] && \
+     { echo 'Components not found for '${m_n}; exit 3; }
+  }
+#-
+# send an email at the first use of modipsl
+# ie directory ~/.modipsl does not exist
+#-
+D_LOG=${HOME}/.modipsl
+[[ -d "${D_LOG}" ]] || \
+ {
+  mkdir "${D_LOG}";
+  echo $(date +"%D %T") $(whoami) $(uname -m) \
+    first use of model | \
+    ${MAIL_COM} -s "first use of modipsl" \
+    ${MAIL_ADDRESS} >/dev/null 2>&1;
+   echo $(date +"%D %T") creation >"${D_LOG}"/first;
+  }
+#-
+# "help" action
+#-
+[[ ${m_a} = 'help' ]] && \
+ {
+  echo ' ';
+  if [ -z "${m_n}" ]; then
+    echo ${b_n} 'extracts the components of a model';
+    echo ' ';
+    echo 'Usage    :';
+    echo ${b_n} '[-h]';
+    echo ${b_n} '[-h] model_name';
+    echo ${b_n} '[-e] [-H] [-v] model_name';
+    echo 'h            : this help';
+    echo 'h model-name : help on model';
+    echo 'e            : extract model';
+    echo 'H            : suppress the tags and take the HEAD version';
+    echo 'v            : verbose mode';
+    echo 'Defaults     : -e';
+    echo ' ';
+    echo 'model_name in :';
+    qi=0; while (( ${qi} < ${#m_x[@]} ));
+      do ((qi=qi+1)); echo ${m_x[${qi}]}; done
+  else
+    echo 'model : '${m_n};
+    echo ' ';
+    while read v0 v1 v2
+     do
+       [[ -n "${v0}" && "${v0}" = '#-H-' && \
+          -n "${v1}" && "${v1}" = "${m_n}" ]] && { echo ${v2}; }
+     done <${F_DEF}
+    unset v0 v1 v2;
+    echo ' ';
+    echo 'model manager email address : '${m_m};
+    echo ' ';
+    qi=0; while (( ${qi} < ${#m_c[@]} ))
+      do
+        ((qi=qi+1));
+        echo 'Component '${qi}' : '${m_c[${qi}]};
+        echo 'Tag       '${qi}' : '${m_t[${qi}]};
+        echo 'System    '${qi}' : '${m_p[${qi}]};
+        echo 'Server    '${qi}' : '${m_s[${qi}]};
+        echo 'Directory '${qi}' : '${m_d[${qi}]};
+        echo 'Local Dir '${qi}' : '${m_l[${qi}]};
+      done
+  fi
+  echo ' ';
+  exit 0;
+ }
+#-
+# Record information about the action in the "log" file
+#-
+F_LOG=${d_n}'/log'
+echo "${F_LOG}"
+echo $(date +"%D %T") $0 $* >>"${F_LOG}"
+#-
+# Verbose mode
+#-
+[ ${m_v} = 'verbose' ] && \
+ { echo '--- Model        : '${m_n};
+   echo '--- Action       : '${m_a};
+   echo '--- Mode         : '${m_v}; }
+#-
+# Record information about the action in the "log" file
+#-
+{ echo '--- Model        : '${m_n};
+  echo '--- Action       : '${m_a};
+  echo '--- Mode         : '${m_v};
+  echo '--- Mail address : '${m_m}; } >>"${F_LOG}"
+#-
+# Components root directory
+#-
+d_m=${d_n}'/..';
+#-
+# send an email at the first use of this IPSL model
+# ie file ~/.modipsl/log.${m_n} does not exist
+#-
+M_LOG=${D_LOG}/log.${m_n}
+[[ -f "${M_LOG}" ]] || \
+  {
+   echo $(date +"%D %T") $(whoami) $(uname -m) \
+    first usage of model ${m_n} | \
+   ${MAIL_COM} -s "first usage of model ${m_n}" \
+    ${m_m} >/dev/null 2>&1;
+   echo $(date +"%D %T") model ${m_n} >"${M_LOG}";
+  }
+#-
+# Extract the model components
+#-
+qi=0; while (( ${qi} < ${#m_c[@]} ))
+  do
+    ((qi=qi+1));
+    zc=${m_c[${qi}]}; zt=${m_t[${qi}]};
+    zp=${m_p[${qi}]}; zs=${m_s[${qi}]};
+    zd=${m_d[${qi}]}; zl=${m_l[${qi}]};
+    [[ ${m_v} = 'verbose' ]] && \
+     { echo '---';
+       echo '--- Component  : '${zc};
+       echo '--- Tag        : '${zt};
+       echo '--- System     : '${zp};
+       echo '--- Server     : '${zs};
+       echo '--- Directory  : '${zd};
+       echo '--- Local Dir  : '${zl}; }
+#-----
+#----  Record information about the action in the "log" file
+#-----
+     { echo '---';
+       echo '--- Component  : '${zc};
+       echo '--- Tag        : '${zt};
+       echo '--- System     : '${zp};
+       echo '--- Server     : '${zs};
+       echo '--- Directory  : '${zd};
+       echo '--- Local Dir  : '${zl}; } >>"${F_LOG}"
+#---
+    [[ ${zp} = 'cvs' ]] && \
+     {
+      c_c='(cd '${d_m}/${zl}'; '${zp}' -d :pserver:'${zs}' '${m_a};
+      [[ ${zt} != '?' ]] && { c_c=${c_c}' -r '${zt}; }
+      [[ ${zd} != '.' ]] && { c_c=${c_c}' -d '${zd}; }
+      c_c=${c_c}' '${zc}')';
+      grep "${zs%%/*}"'.*/'"${zs#*/}" ~/.cvspass > /dev/null;
+      [[ ${?} != 0 ]] && \
+       {
+        c_z='cvs -d :pserver:'${zs}' login';
+        [[ ${m_v} = 'verbose' ]] && { echo ${c_z}; }
+        eval ${c_z};
+       }
+     }
+#---
+    [[ ${zp} = 'svn' ]] && \
+     {
+      c_c='(cd '${d_m}/${zl}'; '${zp}' '${m_a};
+      [[ ${zt} != '?' ]] && { c_c=${c_c}' -r '${zt}; }
+      c_c=${c_c}' '${zs}'/'${zc};
+      [[ ${zd} != '.' ]] && { c_c=${c_c}' '${zd}; }
+      c_c=${c_c}')';
+     }
+#---
+    [[ ${m_v} = 'verbose' ]] && { echo '--- Command    : '${c_c}; }
+    eval ${c_c};
+  done
+#-
+# Actions related to the WORK directory for the OPA models
+#-
+case ${m_n} in
+  ( EEL* |  ORCA* | OFF_TRC | IPSLCM* | ORCA_TOYATM | \
+    NEMO_ORCA2_LIM | GYRE )
+    d_m1=${d_m}/modeles/OPA  ;
+    [ -d ${d_m1}/WORK ] && \rm -rf ${d_m1}/WORK;
+    mkdir ${d_m1}/WORK;
+    cd ${d_m1}/WORK;
+#-- Getting the configuration files to build the Makefile
+    ln -sf ../../../*/${m_n}/scripts/BB_make AA_make;
+    ln -sf ../../../*/${m_n}/scripts/BB_make.ldef AA_make.ldef ;
+    case ${m_n} in
+     ( ORCA2_LMDZ96x71 )
+      echo " Creation du catalogue OPA/WORK = ORCA + LIM"
+      ln -sf ../SRC_ORCA/*.[Ffh] .
+      ln -sf ../SRC_UCL/[a-z]* .
+      ln -sf ../../${m_n}/scripts/prep.sed.coupled .;;
+     ( ORCA2 | ORCA4 | ORCA05 | EEL2 | EEL6 )
+      echo " Creation du catalogue OPA/WORK = ORCA"
+      ln -sf ../SRC_ORCA/*.[Ffh] .;;
+     ( ORCA*LIM | IPSLCM* | ORCA_TOYATM | ORCA*LMD* )
+      [ "${m_n}" = "IPSLCM4_LOOP" ] && \
+       echo " Creation du catalogue OPA/WORK = ORCA + LIM + TRC" || \
+       echo " Creation du catalogue OPA/WORK = ORCA + LIM"
+      ln -sf ../SRC_ORCA/*.[Ffh] .
+      [ "${m_n}" = "IPSLCM4_LOOP" ] && \rm *.passivetrc.h
+      [ "${m_n}" = "IPSLCM4_LOOP" ] && \
+       ln -sf ../SRC_TRC/*.[Ffh] ../SRC_TRC/trc_sms/*.[Ffh] .
+      ln -sf ../SRC_UCL/[a-z]* .;;
+     ( ORCA*_LIM_TRC )
+      echo " Creation du catalogue OPA/WORK = ORCA + LIM + TRC"
+      ln -sf ../SRC_ORCA/*.[Ffh] .
+      \rm *.passivetrc.h
+      ln -sf ../SRC_TRC/*.[Ffh] ../SRC_TRC/trc_sms/*.[Ffh] .
+      ln -sf ../SRC_UCL/[a-z]* .;;
+     ( *LOBSTER1 )
+      echo " Creation du catalogue OPA/WORK = ORCA + TRC"
+      ln -sf ../SRC_ORCA/*.[Ffh] .
+      \rm *.passivetrc.h
+      ln -sf ../SRC_TRC/*.[Ffh] ../SRC_TRC/trc_sms/*.[Ffh] .;;
+     ( ORCA*_OFF_TRC )
+      echo " Creation du catalogue OPA/WORK = TRC + OFFLINE"
+      ln -sf ../SRC_TRC/*.[Ffh] ../SRC_TRC/trc_sms/*.[Ffh] .
+      ln -sf ../SRC_OFFLINE_TRC/*.[Ffh] .;;
+    esac
+#-- Building the standard list of source files
+    cat >.patron <<"EOF"
+CVS
+SRC_PARAM
+SRC_FILE_LIST
+tmplist
+AA_make
+KEY_CPP
+Makefile
+*?.o
+ i.?*
+*?.L
+.patron
+bloc.com
+para.com
+defcst.f
+fontbc.f
+icdyna.f
+thersf.f
+EOF
+    ls -1 | fgrep -v -f .patron  >SRC_FILE_LIST;
+    cp SRC_FILE_LIST SRC_FILE_LIST.temp;
+    KEY=$(grep P_P AA_make.ldef);
+    [ -f "KEY_CPP" ] || echo $KEY > KEY_CPP;
+  ;;
+esac
+#---
+#- That's all folks
+#---
+exit 0;
Index: modipsl/tags/v2_1_1/util/w_i_h
===================================================================
--- modipsl/tags/v2_1_1/util/w_i_h	(revision 29)
+++ modipsl/tags/v2_1_1/util/w_i_h	(revision 29)
@@ -0,0 +1,101 @@
+#!/bin/sh
+# $Id$
+#---------------------------------------------------------------------
+#- w_i_h                                                    04/10/1999
+#- Reconnaissance du systeme
+#---------------------------------------------------------------------
+( uname -s 1> /dev/null ) 2> /dev/null
+if [ $? -ne 0 ]; then
+  exit 1;
+fi;
+#-
+USYS=`uname -s`;
+#-
+if   [ "$USYS" = "AIX" ]; then
+  WSYS=`uname -n | sed -e "s/^\(zahir\)\(.*\)/\1/"`;
+  if [ "$WSYS" = "zahir" ]; then
+    DSYS="aix";
+  else
+    DSYS="ax_mono";
+  fi;
+elif [ "$USYS" = "AIXESA" ]; then
+  DSYS="aixesa";
+elif [ "$USYS" = "ConvexOS" ]; then
+  DSYS="convex";
+elif [   "$USYS" = "CP486" \
+      -o "$USYS" = "dev"  ]; then
+  DSYS="sco";
+elif [ "$USYS" = "Darwin" ]; then
+  DSYS="Darwin";
+elif [ "$USYS" = "HP-UX" ]; then
+  WSYS=`uname -n`;
+  if [ "$WSYS" = "moon" ]; then
+    DSYS="eshpux";
+  else
+    DSYS="hpux";
+  fi;
+elif [ "$USYS" = "IRIX" ]; then
+  WSYS=`uname -r | sed -e "s/\..*//"`
+  if [ "$WSYS" = "4" ]; then
+    DSYS="sgi4";
+  else
+    DSYS="sgi5";
+  fi;
+elif [ "$USYS" = "IRIX64" ]; then
+  DSYS="sgi6";
+elif [ "$USYS" = "Linux" ]; then
+  WSYS=`uname -n | sed -e "s/^\(asterix\)\(.*\)/\1/" \
+                        -e "s/^\(obelix\)\(.*\)/\1/" \
+                        -e "s/^\(ds\)\([0-9]*\)/\1/"`
+  if [   "$WSYS" = "asterix" \
+      -o "$WSYS" = "obelix" ]; then
+    DSYS="lxiv8";
+  elif [ "$WSYS" = "mercure" ]; then
+    DSYS="sx8mercure";
+  elif [ "$WSYS" = "brodie" ]; then
+    DSYS="sx8brodie";
+  elif [ "$WSYS" = "ds" ]; then
+    DSYS="sxdkrz";
+  else
+    DSYS="linux";
+  fi;
+elif [ "$USYS" = "MIPS" ]; then
+  DSYS="mips";
+elif [ "$USYS" = "OSF1" ]; then
+  DSYS="osf1";
+elif [ "$USYS" = "SunOS" ]; then
+  WSYS=`uname -r | sed -e "s/\..*//"`
+  if [ "$WSYS" = "5" ]; then
+    WSYS=`uname -r | sed -e "s/.*\.//"`
+    if [   "$WSYS" = 1 \
+        -o "$WSYS" = 2 \
+        -o "$WSYS" = 3 ]; then
+      DSYS="solaris";
+    else
+      DSYS="solaris";
+    fi;
+  else
+    DSYS="sun";
+  fi;
+elif [ "$USYS" = "SUPER-UX" ]; then
+  DSYS="nec";
+elif [ "$USYS" = "ULTRIX" ]; then
+  DSYS="ultrix";
+elif [   "$USYS" = "UNICOS" \
+      -o "$USYS" = "sn4803" \
+      -o "$USYS" = "sn4602" ]; then
+  DSYS="cray";
+elif [ "$USYS" = "UNIX_System_V" ]; then
+  DSYS="fjvpp";
+else
+  WSYS=`uname -m`;
+  if [ "$WSYS" = "CRAY T3E" ]; then
+    DSYS="t3e";
+  else
+    DSYS="Unknown";
+  fi;
+fi;
+#-
+echo "$DSYS";
+#-
+exit 0;
